import sys
sys.path.append('./libraries')
from machine import Pin, I2C
import time
from imu import QMI8658


I2C_SCL = 7
I2C_SDA = 6

if __name__ == "__main__":
    i2c = I2C(id = 1, scl = Pin(I2C_SCL), sda = Pin(I2C_SDA), freq = 400_000)
    qmi8658 = QMI8658(i2c)
    while True:
        raw_data = qmi8658.read_raw_data()
        if raw_data:
            print("accel:" + str(raw_data.get("accel_x"))+ ", " + str(raw_data.get("accel_y")) + ", " + str(raw_data.get("accel_z")))
            print("gyro:" + str(raw_data.get("gyro_x"))+ ", " + str(raw_data.get("gyro_y")) + ", " + str(raw_data.get("gyro_z")))
            print("temperature:" + str(raw_data.get("temperature")))
            print("timestamp:" + str(raw_data.get("timestamp")))
            print("--------------------")
        time.sleep(0.1)