import sys
sys.path.append('./libraries')
from machine import Pin, I2C
from rtc import PCF85063
import time

I2C_SCL = 7
I2C_SDA = 6

if __name__ == "__main__":
    i2c = I2C(id = 1, scl = Pin(I2C_SCL), sda = Pin(I2C_SDA), freq = 400_000)
    rtc = PCF85063(i2c)
    time_data = rtc.get_time()
    time_data["year"] = 2025
    time_data["month"] = 1
    time_data["day"] = 1
    time_data["hours"] = 0
    time_data["minutes"] = 0
    time_data["seconds"] = 0
    rtc.set_time(time_data)
    while True:
        time_data = rtc.get_time()
        print("{:02d}:{:02d}:{:02d} {:02d}/{:02d}/{:02d}".format(time_data["hours"], time_data["minutes"], time_data["seconds"], time_data["year"] + 2000, time_data["month"] + 1, time_data["day"]))
        time.sleep(1)