import sys
sys.path.append('./libraries')
from machine import Pin, I2C
import time
from lcd_2inch8 import CST328

TP_SCL = 7
TP_SDA = 6
LCD_WIDTH = 240
LCD_HEIGHT = 320


if __name__=='__main__':
    i2c = I2C(id = 1, scl = Pin(TP_SCL), sda = Pin(TP_SDA), freq = 400_000)
    touch = CST328(i2c, LCD_WIDTH, LCD_HEIGHT)
    while True:
        if touch.read_touch():
            coords =  touch.get_coords()
            if coords != None:
                for i in range(len(coords)):
                    print("point:" + str(i) + ", x:" + str(coords[i]["x"]) + ", y:" + str(coords[i]["y"]) + ", pressure:" + str(coords[i]["pressure"]))
        time.sleep(0.01)