import sys
sys.path.append('./libraries')
import time
from machine import Pin, I2C
from lcd_2inch8 import ST7789, CST328
import lvgl as lv
from lv_port import lv_port

I2C_SCL = 7
I2C_SDA = 6

LCD_WIDTH = 240
LCD_HEIGHT = 320

class lvgl_ui(object):

    def __init__(self):
        self.scr = lv.obj()
        self.tv = lv.tileview(self.scr)
        self.tv.set_scrollbar_mode(lv.SCROLLBAR_MODE.OFF)

        # Tile1: Just a pic
        self.tile1 = self.tv.add_tile(0, 0, lv.DIR.BOTTOM)

        waveshare_lcd_2_8_img_data = (
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xBF\xEF\x9F\xEF\x9F\xEF\x7E\xEF\x9F\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x7E\xEF\x9F\xEF\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x9F\xEF\x9F\xEF\x7F\xEF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\xBF\xEF\x9F\xEF\xBF\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xBB\xC6\x19\xA6\xFA\xA5\xDA\xAD\xD9\xAD\x5B\xBE\x9F\xE7\x7E\xEF\x9E\xEF\xBF\xF7\xBF\xF7\x5B\xBE\x99\x9D\xB9\x9D\x3B\xB6\x9F\xE7\x9F\xEF\x7E\xE7\x5E\xE7\x7E\xEF\xDF\xFF'
            b'\xBF\xF7\x3B\xB6\xBA\xA5\xBA\x9D\xB9\x9D\xFD\xD6\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xE7\x3E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x3E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x7E\xDF\x5E\xDF\x5E\xDF\x3E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x3E\xD7\x5E\xDF\x5E\xDF\x5E\xDF\x3E\xDF\x5E\xD7\x5E\xD7\x5E\xD7\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xD7\x5E\xD7\x5E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xEF\xB8\xA5\x1B\xA6\x1B\xA6\x1A\xAE\x5E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3E\xDF\x3E\xD7\x5E\xDF\x5E\xDF\x3E\xDF\x5E\xDF\x3E\xDF\x3E\xDF\x5E\xDF\x5E\xD7\x5E\xD7\x5E\xD7\x5E\xD7\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x3E\xDF\x5E\xDF\x3E\xDF\x3E\xDF\x5E\xDF\x5E\xD7\x5E\xD7\x3E\xD7\x5E\xDF\x5E\xDF\x5E\xDF\x3E\xD7\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\x3D\xE7\x53\x74\x30\x3B\x30\x43\x30\x4B\x33\x6C\x58\x95\x7C\xBE\xD5\x84\xD6\x8C\xB9\xA5\x1D\xDF\x74\x7C\xEF\x3A\xEF\x3A\x53\x6C\xFC\xC6\x58\x95\x75\x74\x74\x74\xD5\x8C\x5E\xEF\x1D\xD7\xB2\x63\xF0\x3A\xF1\x32\x31\x43\x3B\xBE\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xEF\x57\x95\x13\x6C\x34\x6C\x54\x74\x34\x6C\x34\x6C\x54\x6C\x54\x6C\x54\x6C\x74\x6C\x54\x6C\x54\x6C\x54\x6C\x54\x6C\x34\x6C\x54\x6C\x54\x6C\x75\x6C\x54\x6C\x34\x6C\x55\x74\x54\x6C\x55\x6C\x55\x6C\x55\x6C\x54\x6C\x54\x6C\x55\x6C\x55\x6C\x55\x6C\x35\x6C\x34\x64\xF6\x84\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\x9E\xEF\x9E\xEF\x9F\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9F\xEF\x9F\xEF\xBB\xCE\xEF\x42\x10\x3B\x51\x3B\x72\x4B\xFA\xAD\x5E\xE7\x9E\xEF\x9E\xEF\x9E\xEF\x9F\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5D\xE7\x13\x6C\x34\x64\x54\x6C\x34\x6C\x34\x6C\x34\x6C\x34\x6C\x34\x6C\x34\x6C\x34\x6C\x54\x6C\x54\x6C\x54\x6C\x55\x6C\x54\x6C\x54\x6C\x54\x6C\x54\x6C\x34\x6C\x35\x6C\x34\x6C\x34\x6C\x34\x6C\x54\x6C\x34\x64\x75\x6C\x55\x6C\x54\x6C\x54\x6C\x34\x6C\x13\x6C\x36\x95\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\x5B\xBE\x71\x53\x11\x33\xF0\x32\x0F\x43\x19\xAE\x3E\xD7\xFA\xA5\xAE\x32\xCF\x32\x34\x6C\xBC\xD6\x54\x7C\xAF\x32\xD0\x3A\x54\x6C\xBC\xBE\x35\x64\xAF\x32\xAF\x32\x91\x53\x1D\xDF\x9C\xBE\x51\x4B\xD1\x32\xF2\x32\xB4\x53\xBC\xC6\x7E\xEF\x7E\xEF\x9F\xF7\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x34\x74\x8E\x32\xCF\x32\xF0\x3A\xD0\x32\xD0\x32\xB0\x32\xD0\x32\xCF\x32\xCF\x32\xCF\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x32\xD1\x32\xF1\x32\xF1\x32\xF1\x32\xD0\x32\xB0\x32\xB0\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x2A\xD0\x2A\xD1\x2A\xD1\x2A\xD1\x32\xD1\x32\x70\x2A\xD3\x5B\x3E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x9C\xC6\xF6\x84\xF7\x84\x18\x85\xF7\x84\xD6\x84\xF7\x84\xF7\x84\xF7\x84\xF7\x7C\xF7\x7C\x18\x85\x18\x85\x96\x74\xF0\x32\x11\x33\x12\x33\x32\x3B\x76\x6C\xD7\x7C\x17\x85\x17\x85\xF7\x84\xF7\x84\xF7\x7C\xF7\x84\xF7\x84\xF7\x84\xF7\x84\xF7\x84\xD6\x84\xD7\x84\x17\x95\xFD\xD6\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x1D\xDF\xEF\x3A\xD0\x2A\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF0\x3A\xF0\x3A\xF1\x32\xF1\x32\xF0\x3A\xF0\x3A\xF1\x3A\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF0\x32\x10\x33\xF0\x32\xF1\x32\xF0\x32\xF0\x32\xF0\x3A\xF0\x3A\x8E\x32\x13\x74\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xEF\x38\x95\x11\x3B\x12\x33\xF1\x32\xB2\x5B\xDC\xD6\x9F\xE7\x99\x95\xAE\x32\xCF\x32\x34\x64\xDC\xD6\xB5\x84\xCF\x3A\xF0\x3A\x75\x74\xBC\xBE\x76\x64\xF1\x32\xD0\x2A\xF3\x53\xBC\xCE\x79\x95\xF0\x3A\xF1\x3A\x12\x33\x94\x4B\xF7\x7C\xD6\x84\xB6\x84\x98\xA5\x9F\xEF\xFF\xFF\xFF\xFF\x5E\xEF\xF2\x6B\x8E\x32\xAE\x32\xAF\x32\xAF\x32\xB0\x32\xB0\x32\xAF\x32\xCE\x32\xCE\x32\xAE\x32\xAF\x32\xB0\x2A\xB0\x2A\xF1\x32\x12\x33\x33\x33\x53\x33\x32\x33'
            b'\xF1\x32\xD0\x32\xB0\x32\xAF\x32\xCF\x32\xCF\x2A\xD0\x2A\xD0\x2A\xD0\x2A\xD0\x32\xB0\x32\xB0\x32\x6E\x32\x92\x5B\x1D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x78\x95\xF0\x3A\xF0\x32\x31\x3B\x11\x3B\x10\x3B\x31\x43\x11\x3B\x11\x3B\x32\x33\x12\x33\x32\x33\x11\x33\x32\x3B\x12\x3B\x33\x3B\x12\x33\x32\x33\x32\x3B\x11\x3B\x32\x3B\x32\x3B\x11\x3B\x11\x3B\x32\x3B\x31\x3B\x11\x3B\x11\x3B\x32\x43\x32\x43\x11\x3B\xF1\x3A\x71\x53\x7B\xC6\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x1D\xDF\x31\x43\xF1\x2A\x12\x33\x12\x33\x12\x33\x11\x33\x11\x33\x11\x33\x11\x33\x12\x33\x11\x3B\x11\x3B\x12\x3B\x12\x33\x12\x33\x12\x33\x12\x33\x12\x33\x12\x33\x32\x33\x12\x33\x11\x33\x32\x33\x32\x33\x31\x33\x32\x33\x32\x33\x32\x33\x32\x3B\x11\x3B\xF0\x3A\x74\x7C\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x3D\xDF\x5B\xB6\xB4\x5B\xF2\x32\x12\x33\xD0\x32\xB9\xA5\x9E\xEF\x7E\xE7\x58\x95\xCF\x32\xF0\x32\x55\x6C\xDC\xD6\xB5\x84\xD0\x32\xF1\x3A\x95\x74\xDC\xBE\x96\x6C\x11\x33\x11\x33\xD4\x4B\xF8\x7C\x93\x4B\xF1\x3A\x12\x3B\x32\x3B\x32\x3B\x11\x3B\xF1\x3A\xD0\x3A\x75\x74\x7E\xE7\xFF\xFF\xFF\xFF\xDF\xFF\xDD\xCE\x5B\xBE\x7C\xBE\x9C\xBE\x7C\xBE\x7C\xB6\x7C\xB6\x7C\xBE\x7B\xBE\x7B\xBE\x7B\xBE\x5C\xBE\x7C\xBE\x9D\xB6\xFB\x9D\xF4\x4B\x12\x2B\x32\x33\x12\x33\xF8\x7C\x9C\xBE\x7C\xBE\x7C\xBE\x7C\xB6\x7C\xB6\x7D\xB6\x7D\xB6\x7C\xBE\x7C\xBE\x5C\xBE\x5B\xBE\x5B\xBE\x9C\xC6\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x99\x95\xF0\x3A\xF1\x32\x32\x33\x31\x3B\xF0\x32\xF1\x32\x11\x33\x11\x33\x12\x2B\x12\x2B\x13\x33\xF2\x32\x12\x3B\x12\x3B\x12\x3B\x32\x3B\x32\x3B\xF2\x3A\xF2\x32\xF1\x32\x11\x33\xF1\x32\x11\x33\x11\x33\x11\x33\xF1\x32\x11\x33\x32\x3B\x32\x3B\x12\x33\xD1\x32\x72\x4B\x9C\xC6\xDF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\x1D\xD7\xF0\x3A\xD0\x2A\xF1\x32\xF1\x32\xF1\x32\xF0\x32\xF0\x32\xF0\x32\xF1\x32\xF1\x32\xF0\x32\xF0\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\x11\x33\x11\x33\xF0\x32\xF0\x2A\x11\x33\x32\x3B\x52\x3B\x53\x33\x53\x33\x53\x33\x32\x3B\xCF\x3A\x33\x74\x5E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xDF\x53\x74\x72\x53\xF1\x3A\x33\x3B\xF2\x32\xCF\x32\xBC\xCE\xFF\xFF\x5E\xE7\x38\x95\xAF\x32\xD0\x32\x55\x6C\xDC\xD6\x95\x84\xD0\x32\xF1\x32\x75\x6C\xDC\xBE\x76\x6C\xF1\x32\x52\x3B\x32\x33\x12\x33\x12\x33\x32\x3B\x32\x3B\x32\x3B\x11\x33\xD1\x32\xF1\x32\xD0\x32\x96\x74\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xDF\xF7\xDF\xF7\xDF\xFF\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xFF\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\x3E\xC7\x35\x5C\x12\x33\x12\x33\xF1\x32\x9B\x9D\xBF\xEF\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xFF\xDF\xF7\xDF\xF7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBF\xE7\x99\x95\x10\x3B\x31\x33\x52\x3B\x52\x3B\x11\x33\xD0\x32\xD0\x32\xD0\x32\xD0\x2A\xD1\x32\xD1\x32\xF1\x32\xD1\x32\xF1\x3A\x12\x3B\x12\x3B\x12\x3B\xF1\x3A\xD1\x32\xD0\x2A\xF1\x32\xD0\x32\xD0\x32\xF0\x2A\xD0\x2A\xF0\x32\xF1\x32\x12\x33\x33\x3B\x53\x3B\x12\x3B\x93\x53\x9C\xC6\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xDF\x71\x53\x72\x4B\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xD3\x53\xB3\x53\xB3\x4B\xB3\x53\xD4\x53\x35\x5C\xF4\x53\x32\x3B\x53\x33\x53\x33\x53\x33\x12\x3B\xAF\x32\xB5\x84\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDC\xCE\x0F\x43\x6E\x2A\xD1\x32\x33\x3B\xF1\x32\x10\x43\x1D\xDF\xFF\xFF\x5E\xE7\x58\x95\xAF\x32\xD0\x32\x55\x6C\xDC\xD6\xB5\x84\xD0\x32\xF1\x32\x75\x6C\xBC\xBE\x76\x6C\xD1\x32\x52\x3B\x12\x33\x90\x22\x12\x33\x32\x3B\x12\x3B\x11\x33\x11\x33\xF1\x32\xF1\x3A\xF0\x3A\x95\x74\x7E\xE7\xFF\xFF\xFF\xFF\xBF\xFF\xFC\xDE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9C\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xC6\x3A\xA6\xF4\x53\x12\x33\x32\x33\xF1\x32\xF8\x84\x5B\xBE\x9B\xC6\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x7B\xCE\xDC\xDE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x99\x95\x10\x3B\x12\x33\x52\x3B\x52\x3B\xF4\x53\xD3\x5B\xB2\x5B\xB2\x53\xB2\x53\xD4\x53\xD4\x53\xF4\x5B'
            b'\x93\x53\xF1\x32\x12\x3B\x12\x3B\x32\x43\x93\x53\xD4\x5B\xD4\x53\xF4\x53\xD3\x5B\xD3\x53\xD3\x53\xD3\x53\xF4\x5B\x73\x4B\x32\x3B\x32\x3B\x53\x3B\x32\x3B\x93\x53\x9C\xC6\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xE7\xD5\x8C\xD6\x84\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x8D\x17\x85\x17\x85\x17\x85\x17\x8D\x37\x8D\x17\x85\xF7\x84\x18\x85\x38\x8D\x59\x8D\x56\x64\x11\x3B\x32\x33\x54\x33\x53\x33\xF1\x32\x30\x43\x98\xA5\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9C\xBE\xEF\x3A\xD0\x2A\x32\x3B\x32\x3B\xF0\x32\x34\x6C\x5E\xE7\xFF\xFF\x7E\xE7\x79\x95\xD1\x32\xD1\x2A\x56\x6C\xDD\xD6\xB6\x84\xD0\x32\x11\x33\x96\x6C\xBC\xBE\x76\x6C\xF1\x3A\x32\x3B\x12\x33\x12\x33\x12\x33\xF2\x32\x11\x33\x73\x43\x93\x53\x92\x53\x71\x4B\x71\x53\x95\x84\x7E\xEF\xFF\xFF\xFF\xFF\x7E\xEF\x74\x7C\x30\x43\x31\x43\x31\x43\x31\x43\x32\x43\x31\x43\x31\x43\x10\x43\x30\x43\x30\x43\x31\x43\x31\x43\x31\x43\x31\x43\x32\x3B\x12\x33\x52\x3B\x32\x3B\x52\x3B\x32\x3B\x31\x43\x31\x43\x30\x43\x30\x43\x10\x4B\x31\x4B\x11\x4B\x31\x43\x31\x43\x30\x43\xEF\x42\x33\x7C\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x99\x9D\x11\x3B\x12\x33\x12\x33\xB3\x4B\x1B\xA6\x9C\xBE\x5B\xBE\x7B\xBE\x7B\xBE\x7C\xBE\x5C\xBE\x9D\xBE\xDB\xA5\xF0\x32\x12\x3B\x12\x3B\x72\x4B\x7A\x95\x9D\xBE\x9C\xBE\x7C\xBE\x7C\xBE\x5B\xBE\x7B\xBE\x9C\xBE\x9C\xBE\x18\x85\x93\x4B\x11\x3B\x12\x33\x12\x33\x93\x53\x9C\xC6\xDF\xFF\xDF\xFF\xDF\xFF\xFF\xFF\xDF\xFF\x5E\xEF\x5E\xE7\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xE7\x7E\xE7\x5E\xDF\x7B\xC6\x35\x64\xF1\x3A\x12\x33\x33\x33\x33\x33\xF0\x3A\xB5\x84\x3D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9C\xC6\x10\x43\xF0\x32\xF1\x32\x11\x3B\xD3\x53\xBC\xBE\xBF\xEF\xFF\xF7\x5E\xDF\x59\x8D\xD1\x32\xD2\x2A\x77\x64\xBD\xC6\xB7\x7C\xD1\x32\x12\x33\x76\x64\x7C\xB6\x56\x6C\x11\x3B\x12\x3B\x12\x3B\x73\x43\x52\x43\x72\x43\x75\x64\xFB\xA5\xBD\xBE\xBD\xC6\x9D\xBE\x9C\xBE\xFD\xD6\xDF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x74\x74\xD0\x32\xF1\x2A\x12\x33\xF2\x2A\xD1\x32\xD1\x32\xD0\x32\xD0\x2A\xD0\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x2A\xF1\x32\x12\x3B\x32\x3B\x32\x3B\x32\x33\x32\x33\xF1\x2A\xD0\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x32\xD1\x32\xD1\x32\xF2\x32\xF1\x32\xAF\x32\x14\x6C\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\x9D\x11\x3B\x12\x33\x11\x33\xF4\x5B\x3E\xDF\xFF\xF7\xDF\xFF\xFF\xFF\xDF\xFF\xDF\xFF\xDF\xF7\xDF\xF7\xDD\xCE\xAF\x32\x12\x33\x32\x33\xB3\x4B\x7D\xB6\xDF\xEF\xFF\xF7\xFF\xF7\xFF\xFF\xDF\xFF\xDF\xF7\xFF\xF7\x9F\xEF\xB9\x9D\xB2\x4B\xF0\x32\x12\x33\x12\x33\x92\x4B\x7C\xBE\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\xBC\xCE\x75\x74\xD0\x3A\x11\x3B\x33\x3B\x12\x33\x11\x3B\x95\x74\x1D\xD7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xD6\x13\x6C\xF3\x63\x55\x6C\x13\x64\x17\x7D\x7C\xAE\x7C\xB6\x7D\xB6\x3C\xAE\xD7\x74\xF1\x32\xF2\x2A\xD5\x4B\x3A\x85\xF5\x5B\x13\x33\x33\x33\xD5\x4B\xB8\x6C\xB4\x4B\xF1\x3A\x11\x3B\xB3\x53\xDB\xA5\xDA\xA5\x1A\xAE\x1D\xCF\xBF\xEF\x9E\xEF\x5E\xE7\x5E\xE7\x3D\xE7\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\xB5\x7C\x11\x33\x32\x33\x53\x33\x32\x33\x52\x43\xB3\x4B\x14\x54\x14\x54\xF3\x5B\xD3\x53\x92\x53\x93\x53\xD3\x53\xB3\x4B\x53\x3B\x53\x33\x32\x33\x32\x33\x73\x43\x93\x4B\x72\x4B\x72\x4B\x92\x53\xB3\x53\xF3\x5B\xF3\x5B\x92\x4B\x52\x3B\x32\x33\x53\x33\xF1\x32\x55\x6C\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\x9D\xF0\x3A\x32\x33\x11\x33\xF3\x5B\x5D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xC6\xD0\x2A\x33\x2B\x32\x2B\xB3\x4B\x3B\xB6\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x99\x9D\x92\x4B\xF0\x32\x12\x33\x12\x33\xB3\x4B\x9C\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5E\xE7\x98\x9D\x75\x6C\x31\x43\xF1\x32\x32\x33\x32\x3B\xF1\x3A\x14\x64\xDD\xC6\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xDD\xD6\xFD\xCE\xFD\xCE\xD6\x7C\xB2\x53\x92\x4B\x72\x4B\xF4\x5B\x76\x6C\xB7\x74\x32\x3B\x33\x33\x33\x33\x53\x3B\x32\x3B\x33\x33\x33\x33\x33\x33\x33\x33\x53\x3B\x12\x3B\xD0\x32\xF4\x5B\x1D\xD7\x7F\xE7\x7E\xE7\xBF\xEF\x9F\xF7\xB8\xAD\x53\x7C\x74\x74\x53\x74\xB8\xA5\xBF\xF7\xFF\xFF\xFF\xFF\x7E\xEF\xB6\x7C\x11\x33\x32\x33\x33\x33\x32\x3B\x95\x6C\xBC\xB6\xDD\xB6\xBC\xAE\xBC\xAE\xDD\xBE\xBD\xC6\xBD\xBE\xBE\xBE\x1C\x9E\xB4\x4B\x12\x33\x32\x33\xD0\x32\x18\x85\x9D\xB6\x7D\xB6\x7D\xB6\xDD\xB6\x7C\xAE\x7C\xA6\x7C\xA6\x7C\xAE\xD7\x74\x12\x33\x33\x33\xF2\x32\x55\x6C\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x79\x9D\xF1\x3A\x12\x3B\x11\x33\xD2\x5B\x5D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xC6\xD1\x32\x13\x2B\x13\x2B\x73\x43\x3B\xB6\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBF\xEF\x98\x9D\x92\x4B\xF0\x32\x32\x3B\x32\x33\x92\x4B\x9C\xBE\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xDF\xF7\xBF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xFF\xDF\xFF\xDF\xFF\x7E\xE7\x78\x95\x92\x4B\xF0\x32\x11\x33\x52\x33\x32\x33\xF1\x32\xD3\x5B\x7C\xBE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\x3D\xD7\x14\x64\xF0\x32\xF0\x32\xF0\x3A\xB7\x7C\xBB\x9D\x9A\x8D\xCF\x32\xF0\x2A\xF1\x32\xF0\x2A\x11\x33\xF1\x2A\x12\x2B\x12\x23\x12\x2B\x11\x33\xD0\x32\xF0\x32\x38\x85\x5C\xAE\xFA\xA5\xFA\xA5\x3B\xB6\x3D\xDF\xD5\x84\xEF\x32\xCF\x32\xCE\x3A\x37\x95\x9F\xEF\xFF\xFF\xFF\xFF\x7E\xEF\xB6\x7C\x11\x33\x32\x33\x32\x33\x32\x3B\x17\x8D\x3E\xD7\xDB\x95\xB7\x64\xB6\x6C\x1B\xA6\x7F\xE7\x9F\xEF\xBF\xEF\xFE\xC6\xF5\x5B\xF2\x32\x12\x3B\xB0\x32\x99\xA5\x9F\xEF\x9F\xEF\x7F\xE7\xDD\xBE\x18\x7D\x97\x6C\x55\x6C\xFD\xCE\x9A\x95\xF1\x32\x12\x33\x11\x33\x75\x6C\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x79\x9D\xF1\x42\xF2\x3A\xF1\x32\xB2\x63\x3D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFD\xCE\xD0\x32\x33\x2B\x33\x2B\x93\x43\x5C\xBE\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\x9D\x71\x4B\xCF\x32\x11\x33\x12\x33\x93\x4B\x9D\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x7B\xBE\x3B\xB6\x5C\xB6\x5C\xB6\x3C\xB6\x3C\xB6\x3C\xB6\x5C\xB6\x3C\xB6\x3C\xB6\x3B\xB6\x3B\xBE\x5C\xB6\x79\x95\xB3\x53\x11\x3B\xF1\x32\x12\x33\x32\x3B\x11\x33\x72\x4B\xFA\xAD\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\xDA\xA5\x52\x43\x11\x33\x12\x33\x51\x4B\x5B\xBE\x5E\xDF\xDA\xA5\x0F\x43\x30\x43\x51\x43\x30\x43\x51\x43\x51\x43\x31\x43\x51\x43\x51\x3B\x10\x3B\x10\x43\x33\x6C\x5B\xBE\xF2\x63\xEF\x3A\x31\x43\x54\x6C\x9C\xBE\xB6\x74\x11\x33\xD0\x2A\x51\x4B\x7B\xB6\xDF\xF7\xFF\xFF\xFF\xFF\x7E\xEF\x96\x7C\x11\x3B\x32\x33\x32\x33\x31\x3B\x17\x8D\xFD\xCE\x76\x6C\xF1\x32\xF1\x32\xB3\x53\xBA\x9D\xD9\xAD\xBC\xCE\xDD\xCE\xF5\x5B\xF2\x32\x12\x33\xD0\x3A\xB9\xA5\x3E\xDF\x98\xA5\x58\x95\x35\x64\x11\x3B\xD0\x32\x6E\x3A\x9B\xCE\x79\x95\xD1\x32\x12\x33\x11\x33\x75\x6C\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x7A\x9D\xF2\x3A\x12\x3B\xF1\x3A\xD3\x63\xDC\xD6\x7E\xEF\x5E\xEF\x7E\xE7\x7E\xEF\x7E\xEF\x5E\xEF\x7E\xEF\x7B\xC6\x8F\x32\x12\x2B\x33\x2B\xD4\x4B\x5C\xB6\x5E\xE7\x7E\xEF\x7E\xEF\x7E\xEF\x5E\xEF\x7E\xEF\x7E\xE7\x3E\xDF\x99\x9D\xB3\x53\x11\x3B\x11\x3B\x12\x33\x93\x53\x9D\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBC\xCE\x12\x64\x51\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x73\x4B\x72\x4B\x72\x4B\x52\x4B\x52\x4B\x72\x53\x72\x4B\x52\x43\x12\x33\x32\x33\x53\x3B\x53\x3B\x11\x33\xF0\x3A\x78\x9D\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5E\xDF\x55\x6C\x12\x3B\x33\x33\xF1\x32\x14\x6C\xFC\xD6\xFF\xFF\x5E\xE7\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xCE\x9B\xC6\x9B\xC6\x9B\xCE\xFC\xD6\x5E\xE7\x17\x85\xCF\x32\xCF\x32\xB3\x53\xBA\x95\x55\x64\x52\x3B\x11\x33\xD2\x5B\x1D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x96\x7C\x11\x3B\x12\x33\x32\x33\x11\x3B\xF7\x84\xFD\xCE\x55\x6C\xD1\x32\xD1\x2A\xD1\x32\xF0\x3A\xCF\x42\xF5\x8C\xBC\xC6\xF4\x5B\x11\x33\x11\x33\xF0\x32\xDA\xA5\x9C\xBE\x50\x4B\xEF\x3A\xF1\x32\xF1\x32\xD0\x32\x0C\x32\x7B\xCE\x58\x95\xD1\x32\x12\x33\x11\x3B\x75\x6C\x7E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x7A\x95\xF1\x32\x33\x3B\x12\x3B\x72\x4B\xF7\x84\xF6\x8C\xD6\x84\xF7\x84\xF7\x84\xF7\x84\xF7\x8C\x17\x8D\x75\x74\xF1\x3A\x33\x33\x33\x33\x73\x3B\x96\x74\xF7\x8C\xF6\x8C\x17\x8D\xF7\x8C\xD6\x84\xF7\x84\x17\x8D\x18\x8D\x56\x6C\x52\x43\x11\x33\x12\x33\x12\x33\x93\x4B\x9D\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xCE\xB2\x5B\xF0\x32\xF1\x32\x12\x33\x12\x3B\x12\x3B\x12\x33\x12\x33\xF2\x32\xF1\x32\xF1\x3A\x11\x3B\x11\x33\x32\x33\x32\x33\x53\x33\x53\x3B\x11\x33\x8F\x2A\xD6\x7C\x3D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\x3D\xDF\x3A\xB6\x92\x4B\x12\x33\x33\x33\xF1\x2A\xF6\x8C\x5D\xE7\xFF\xFF\xDF\xF7\x7E\xEF\x9E\xEF\x9F\xEF\x9E\xEF\x9E\xEF\x7E\xEF\x9E\xEF\x9E\xEF\x9E\xEF\x7E\xEF\x7E\xEF\xBF\xF7\xBF\xEF\x1B\xA6\x10\x3B\xD0\x32\x93\x4B\xF8\x7C\xF4\x53\x32\x33\x11\x33\xF3\x63\x5D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x96\x7C\x11\x3B\x12\x33\x12\x33\x11\x3B\xF6\x84\xFD\xD6\xB7\x7C\xF1\x3A\xD1\x32\xF1\x32\x4E\x22\x2C\x2A\x94\x7C\xBC\xC6\xF3\x5B\x11\x33\x31\x33\xEF\x2A\xFA\x9D\x7C\xAE\xAE\x32\x6E\x22\xF0\x32\x11\x33\xF0\x3A\xCF\x4A\x9B\xCE\x58\x95\xD1\x32\x12\x33\x11\x33\x75\x6C\x7E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x9A\x95\xF1\x32\x33\x3B\x12\x3B\x31\x43\xD3\x53\x92\x53\x92\x53\xB3\x4B\xB3\x4B\x93\x4B\x93\x53\xB3\x5B\x73\x4B\x32\x3B\x54\x3B\x53\x33\x32\x33\x73\x4B\xB3\x5B\x92\x53\xB3\x5B\x93\x53\x72\x4B\xB3\x4B\xB3\x53\xD4\x53\x93\x4B\x32\x3B\x11\x33\x12\x33\x12\x33\x73\x4B\x9D\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFD\xCE\xD3\x5B\x11\x33\x12\x33\x33\x33\x33\x3B\x32\x3B\x33\x33\x32\x33\x12\x33\x12\x33\x12\x3B\x12\x3B\x32\x33\x32\x33\x53\x33\x53\x33\x53\x33\xF0\x32\xCF\x3A\x1A\xAE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5E\xDF\xD5\x8C\x92\x53\x11\x3B\x13\x33\x13\x2B\xF1\x32\x7C\xBE\xDF\xF7\xDF\xF7\x1E\xD7\x98\xA5\x99\xA5\xB9\xA5\xB9\xA5\xB9\xA5\xB9\xA5\xB9\xA5\xB8\xA5\xB8\xA5\x98\x9D\x78\x9D\x7B\xC6\xBF\xEF\xBD\xBE\x31\x43\xF1\x32\x53\x43\x93\x4B\x32\x3B\x12\x33\xF0\x32\x34\x74\x5E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x96\x7C\x11\x3B\x32\x3B\x32\x33\x11\x3B\xD6\x84\x3D\xDF\xDA\xAD\xD3\x63\x93\x53\xF5\x53\xD4\x53\xD3\x5B\x98\x9D\xDC\xC6\xF4\x5B\x11\x33\x32\x2B\xF0\x2A\xFA\x9D\xDD\xBE\xD3\x53\x93\x43\xD3\x4B\xB3\x53\xB3\x5B\xF6\x8C\x1D\xDF\x37\x95\xD1\x32\x12\x33\xF1\x32\x55\x6C\x7E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x9A\x95\x11\x3B\x32\x3B\x32\x3B\x32\x3B\xF1\x32\xF0\x32\xF1\x32\xF1\x32\xF1\x32\xD1\x32\xF1\x32\xF1\x3A\xF1\x3A\x32\x3B\x33\x3B\x33\x33\x32\x33\xF1\x3A\xF1\x32\xD0\x32\xD0\x32\xD1\x3A\xF1\x32\xF1\x32\xF1\x32\xD1\x32\x11\x33\x12\x33\x32\x33\x32\x33\x12\x33\x93\x4B\x9C\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFD\xCE\xB2\x53\xF1\x32\x12\x33\x12\x33\x12\x33\x12\x33\x12\x33\x12\x33\x12\x33\x12\x33\x12\x33\x12\x3B\x32\x3B\x52\x33\x53\x33\x53\x33\x32\x33\xF1\x32\x54\x6C\x3D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBC\xC6\x50\x4B\xD0\x32\xF2\x3A\x33\x3B\x12\x33\x31\x3B\x1D\xD7\xFF\xFF\x9F\xEF\xD9\xA5\xCE\x3A\xCF\x3A\xF0\x3A\x10\x3B\x10\x3B\xF0\x3A\xF0\x3A\x10\x3B\xF0\x3A\xF0\x3A\xAF\x3A\x95\x84\x7E\xEF\x3E\xDF'
            b'\xD3\x63\xF2\x32\x33\x3B\x12\x3B\x12\x3B\x32\x33\xF0\x32\x98\x9D\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\xB6\x74\x11\x3B\x32\x3B\x32\x3B\x11\x3B\xD6\x7C\x7E\xE7\x9F\xEF\xFE\xD6\xDD\xC6\x3C\xAE\x9A\x95\x9A\x95\x9D\xBE\xFD\xC6\xF5\x53\x13\x33\x33\x2B\xF1\x32\xB9\x9D\x3E\xDF\x19\x85\xD8\x6C\x18\x7D\x7C\xAE\x1D\xCF\x7E\xE7\x7E\xEF\xF7\x8C\xD0\x32\x32\x33\xF1\x32\x55\x6C\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x99\x95\x11\x3B\x12\x33\x32\x3B\x32\x3B\x11\x33\xF1\x32\xF1\x32\x11\x33\xF1\x32\x12\x33\x12\x33\x12\x33\xF1\x32\x32\x3B\x32\x3B\x33\x3B\x32\x3B\x12\x33\x12\x33\xF1\x32\x11\x33\xF1\x32\xF1\x32\x12\x33\x12\x2B\xF1\x32\x12\x33\x32\x33\x32\x3B\x32\x3B\x12\x33\x93\x4B\x9C\xC6\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xCE\xD3\x63\x31\x43\x52\x4B\x52\x4B\x51\x43\x72\x43\x72\x43\x72\x43\x72\x43\x73\x43\x53\x43\x52\x43\x32\x33\x32\x33\x33\x33\x33\x33\xF1\x2A\x31\x3B\x7C\xB6\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFD\xCE\x70\x4B\xF0\x3A\x12\x3B\x33\x3B\x12\x33\x10\x3B\x1D\xD7\xFF\xFF\x9F\xEF\xF9\xAD\xCE\x3A\xAE\x3A\xF0\x3A\xF0\x3A\xF0\x32\xF1\x3A\xF0\x3A\xF0\x3A\xF0\x3A\xF0\x3A\x8E\x32\x94\x84\x7E\xEF\x7E\xEF\x96\x7C\xD1\x32\x13\x33\x33\x3B\x33\x3B\x12\x33\xAF\x32\xBC\xCE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\xB6\x7C\x31\x3B\x32\x3B\x32\x3B\x11\x3B\xD7\x7C\x7E\xDF\x7E\xE7\x5E\xDF\xDD\xCE\x96\x74\x72\x4B\xB2\x5B\x58\x95\xDD\xC6\xF5\x5B\x13\x33\x13\x2B\xF1\x32\xDA\xA5\xFD\xD6\xD3\x53\x11\x3B\x72\x4B\x99\x9D\xFD\xCE\x9C\xC6\x5E\xE7\x17\x8D\xF1\x32\x32\x33\xF1\x32\x75\x74\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\x9D\xF1\x3A\x12\x3B\x12\x3B\x52\x3B\xD4\x53\xB3\x53\xB3\x53\xB3\x53\x93\x4B\xB4\x53\xB4\x4B\xD4\x4B\xB4\x4B\x11\x3B\x32\x3B\x32\x3B\x32\x3B\x94\x4B\xD4\x53\xD4\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xD4\x53\xD4\x53\x93\x4B\x32\x3B\x32\x3B\x32\x3B\x12\x33\x93\x4B\x9C\xC6\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7F\xE7\xFB\xB5\xBA\xA5\xBA\xA5\xBA\xA5\xB9\x9D\xDA\xA5\xDA\x9D\xDA\x9D\xDA\x9D\xDB\xA5\xDB\x9D\x79\x8D\x72\x43\x32\x33\x53\x3B\x33\x33\xD1\x2A\x11\x3B\xBD\xBE\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFD\xD6\xD2\x63\x31\x4B\x32\x3B\x13\x33\x12\x33\x11\x3B\x1D\xD7\xFF\xFF\xDF\xF7\xBB\xC6\xB4\x84\xB5\x84\xD6\x84\xD6\x84\xD6\x84\xD6\x84\xD6\x84\xD6\x84\xB6\x84\xB6\x84\xB5\x84\xD8\xB5\xBF\xF7\xBF\xF7\x79\x9D\xF1\x32\x13\x33\x33\x33\x53\x33\x12\x33\xCF\x3A\x1C\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x95\x7C\xF0\x3A\xF1\x32\xF1\x32\xF1\x3A\xF7\x84\x1D\xD7\x57\x95\x34\x6C\xF4\x5B\x11\x3B\xD0\x3A\xCF\x3A\xD6\x84\xBC\xC6\xD4\x53\xD1\x2A\x13\x2B\xB0\x2A\x99\xA5\xDC\xD6\x51\x4B\xD0\x2A\xD0\x32\x52\x43\x92\x53\x50\x53\xBC\xD6\x78\x95\xCF\x32\xF1\x2A\xD0\x2A\x35\x6C\x5E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x79\x9D\xF0\x3A\x12\x3B\xF1\x3A\xD3\x53\x5C\xAE\xBD\xC6\x9D\xC6\x7C\xBE\x7C\xBE\x7D\xBE\x9D\xBE\xBD\xC6\xFB\xA5\xD0\x32\x12\x33\x12\x33\x73\x43\x7A\x8D\x9D\xBE\xBD\xBE\x9C\xBE\x9C\xC6\x9C\xC6\x9C\xC6\xBD\xBE\xBD\xBE\x18\x85\x73\x43\xF1\x32\x12\x33\x12\x3B\x93\x4B\x9C\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xEF\xBF\xEF\xBF\xF7\xBF\xEF\xBF\xEF\xBF\xEF\xBF\xEF\xFD\xCE\x92\x4B\xF1\x32\x53\x3B\x13\x3B\xD1\x2A\x11\x3B\xBD\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xEF\x9C\xC6\x9A\x9D\xB4\x53\x12\x33\xF2\x32\x11\x3B\x1D\xD7\xFF\xF7\xFF\xF7\xDF\xEF\x5D\xDF\x5E\xE7\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xE7\x5E\xDF\x5E\xDF\x9E\xEF\xFF\xFF\xFF\xF7\x9D\xBE\x72\x4B\x12\x33\x33\x33\x53\x33\x11\x33\xD2\x5B\x5D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5E\xEF\x33\x6C\xAF\x32\xD0\x3A\xD0\x3A\xF0\x3A\xF6\x84\xFC\xD6\x54\x74\xAE\x32\xD0\x2A\xF1\x32\xD0\x32\x30\x4B\xB9\xA5\xDD\xC6\xF4\x5B\x31\x33\x52\x3B\xF0\x3A'
            b'\x98\xA5\x1D\xDF\x95\x7C\xF0\x3A\x11\x3B\xF1\x32\xD0\x32\x8E\x42\xBB\xD6\x98\x9D\xCF\x3A\x10\x3B\x10\x3B\x54\x6C\x5E\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x78\x9D\xF0\x3A\x12\x3B\xF1\x32\xF3\x63\x3E\xDF\xFF\xF7\xDF\xF7\xDF\xFF\xDF\xFF\xDF\xF7\xDF\xF7\xFF\xFF\xDD\xCE\xAF\x32\x12\x33\x12\x33\x73\x43\x3C\xAE\xBF\xEF\xFF\xF7\xFF\xF7\xDF\xFF\xDF\xFF\xDF\xFF\xFF\xF7\xBF\xEF\x9A\x9D\x73\x4B\xF1\x32\x32\x33\x11\x33\x92\x4B\x9D\xC6\xFF\xF7\xFF\xFF\xFF\xFF\x9E\xEF\x5E\xE7\x7E\xDF\x7E\xDF\x7E\xE7\x5E\xE7\x5E\xE7\x5E\xE7\x7E\xDF\x7E\xDF\x7E\xDF\x7E\xDF\x7E\xDF\x5E\xDF\x5E\xE7\x5E\xE7\x7E\xDF\x7E\xDF\x7E\xDF\xBC\xBE\x93\x4B\x12\x33\x33\x3B\x53\x3B\x12\x33\x32\x3B\x1C\xA6\x5E\xDF\x7E\xE7\x5E\xE7\x5E\xE7\x5E\xE7\x5E\xE7\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xBD\xC6\xF4\x53\x12\x33\xF2\x32\x11\x43\x1D\xD7\xFF\xF7\xFF\xF7\xDF\xEF\x1E\xCF\xDE\xC6\x1F\xCF\x1F\xCF\xFF\xC6\x1F\xC7\x1F\xC7\x1F\xCF\x1F\xCF\xFE\xC6\xFD\xCE\x9F\xEF\xFF\xFF\xFF\xFF\x1D\xD7\xB3\x53\xF1\x32\x32\x33\x32\x3B\xD0\x32\x95\x7C\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xB9\xA5\x18\x85\x59\x95\x79\x95\x58\x95\x7C\xBE\x7E\xE7\xFA\xA5\x96\x74\xB7\x74\xB7\x74\xB7\x74\xBA\x9D\x5E\xE7\xBF\xEF\xBC\xBE\x7B\xA6\x7C\xA6\x3B\xAE\x3D\xDF\xDF\xF7\xFD\xD6\xFA\xA5\xBA\x95\xDB\x95\xBB\x95\x59\x95\x7E\xEF\x3D\xDF\xDA\xA5\x1B\xA6\xFA\x9D\x5C\xB6\xBF\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xB8\x9D\x10\x3B\x11\x3B\xF0\x32\xD2\x5B\x5D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xCE\xD0\x32\x13\x2B\x33\x2B\x93\x43\x3B\xAE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x79\x9D\x93\x4B\xF1\x32\x32\x33\x32\x33\xB3\x4B\x9D\xC6\xFF\xFF\xFF\xFF\x9E\xF7\x98\xA5\xB6\x7C\xF7\x7C\xF7\x7C\xF6\x7C\xD6\x84\xD7\x84\xD7\x7C\xF7\x7C\xF7\x7C\xF7\x7C\xD7\x7C\xD7\x7C\xD7\x7C\xD7\x7C\xD7\x7C\xF8\x7C\xF7\x7C\xF7\x84\x96\x6C\x53\x3B\x33\x33\x33\x33\x53\x33\x33\x33\x12\x33\x96\x64\x38\x85\xD7\x7C\xD7\x84\xD7\x84\xF7\x8C\x95\x84\x78\xA5\x9E\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFE\xC6\xD4\x53\x12\x33\x12\x33\x11\x43\x1D\xD7\xFF\xF7\xFF\xF7\x9F\xDF\xDA\x9D\x59\x95\xBA\x95\xBB\x95\x9A\x8D\xBB\x8D\xBB\x95\x9A\x95\xBA\x95\x79\x8D\x78\x95\xFD\xCE\xFF\xFF\xFF\xFF\x5E\xDF\x14\x64\xF1\x32\x32\x3B\x31\x3B\xCF\x32\x37\x8D\x9F\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xDD\xC6\x1B\xA6\x5C\xB6\x5C\xB6\x3B\xB6\xBD\xC6\xFD\xD6\x5C\xB6\xBA\x9D\xBB\x95\x9B\x95\xBB\x95\x7D\xB6\x1D\xDF\x3D\xDF\x3E\xCF\x3E\xC7\x3E\xBF\x1E\xC7\x3D\xDF\x1D\xDF\x3D\xDF\xDD\xC6\x9D\xB6\xBE\xB6\xBE\xB6\x5D\xB6\xFD\xD6\x1D\xDF\xBD\xBE\xFE\xC6\xBE\xBE\x1E\xCF\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xB8\x9D\x10\x3B\x31\x33\xF0\x32\xD2\x5B\x5D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xCE\xD0\x32\x33\x2B\x33\x2B\x93\x43\x3A\xAE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x79\x9D\x92\x4B\x11\x33\x32\x33\x52\x33\xB2\x4B\x9C\xC6\xFF\xFF\xFF\xFF\x7E\xEF\x95\x7C\x72\x4B\xB3\x43\xB3\x43\x92\x4B\x72\x4B\x73\x4B\x73\x4B\x93\x43\xB3\x43\x93\x43\x93\x4B\x94\x4B\x74\x4B\x74\x4B\x74\x4B\x94\x4B\x94\x4B\xB3\x4B\x73\x43\x33\x33\x33\x33\x33\x33\x53\x33\x33\x33\x32\x2B\xB3\x43\xF4\x4B\x93\x4B\x73\x4B\x73\x53\x92\x5B\x10\x4B\x74\x84\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBD\xBE\xD4\x53\x12\x33\xF2\x32\x11\x43\x1D\xD7\xFF\xFF\xFF\xF7\xFD\xC6\xD2\x5B\xEF\x3A\x11\x43\x31\x43\x31\x3B\x52\x3B\x31\x3B\x31\x43\x31\x43\x10\x3B\x0F\x43\x98\xA5\xBF\xF7\xFF\xFF\x9E\xE7\xD7\x7C\xF1\x32\x12\x3B\x11\x3B\x10\x43\x1A\xAE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3E\xCF\x58\x8D\x38\x8D\x59\x95\x38\x8D\x17\x8D\xB6\x7C\x18\x85\x59\x8D\x59\x85\x39\x85\x39\x85\x38\x85\xD7\x84\xB6\x7C\x38\x85\x59\x85\x59\x85\x38\x85\xD6\x84\x95\x7C\xD6\x84\x58\x8D\x59\x8D\x59\x85\x7A\x8D\x59\x8D\x96\x84\xD6\x8C\x38\x8D\x58\x85\x18\x85\x5C\xB6\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\x95\x10\x3B\x32\x3B\x11\x33\xD2\x5B\x5D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFD\xCE\xAF\x32\x33\x2B\x33\x2B\x93\x4B\x1A\xB6\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\x9D\x92\x4B\xF0\x32\x11\x2B\x32\x33\x92\x4B\x7C\xC6\xDF\xFF\xFF\xFF\x7E\xEF\x54\x74\xF0\x32\x31\x33\x11\x2B\x11\x33\xF1\x3A\xF1\x3A\xF1\x3A\x11\x33\x31\x33\x12\x33\x12\x33\x12\x33\xF2\x32\xF2\x32\xF2\x32\x13\x33\xF2\x32\x12\x3B\x12\x3B\x13\x33\x34\x33\x53\x33\x53\x33\x53\x33\x53\x33\x32\x2B\x32\x33\x12\x33\x12\x33\xF1\x3A\xD0\x3A\x8F\x3A\x33\x74\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\x9D\xBE\xD4\x53\x11\x33\xD2\x32\x11\x43\x1D\xD7\xFF\xF7\xFF\xF7\xFD\xC6\xD2\x5B\xD0\x32\x11\x33\x11\x33\x11\x33\xF1\x32\x11\x33\x11\x3B\x11\x3B\xF0\x32\xF0\x3A\xB9\xA5\xBF\xF7\xFF\xFF\xDF\xF7\x1B\xAE\x31\x43\x11\x3B\xF0\x32\xB3\x53\x1D\xD7\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x5C\xAE\x10\x3B\xCF\x32\xF0\x32\xF0\x32\xCF\x32\xF0\x32\xF0\x32\xF0\x32\xF0\x32\xF0\x32\xF0\x32\x11\x33\xD0\x32\xF0\x32\xD0\x32\xD0\x32\xF0\x32\xD0\x32\xD0\x32\xD0\x3A\xD0\x32\xB0\x32\xF0\x32\xF1\x32\xF0\x32\xF0\x32\xAF\x32\xF0\x3A\xF0\x32\xF0\x32\x8F\x2A\xF7\x84\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x9A\x95\x12\x3B\x12\x3B\xF1\x32\xD2\x5B\x5D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xFF\xDD\xCE\xB0\x32\x33\x33\x13\x33\x72\x4B\x1A\xB6\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\xA5\x72\x53\xD0\x32\x11\x33\x11\x33\x92\x4B\x7C\xC6\xDF\xFF\xFF\xFF\x7E\xEF\x96\x7C\xF1\x3A\x32\x33\x32\x33\x31\x3B\x11\x3B\x11\x3B\x11\x3B\x31\x3B\x31\x33\x31\x33\x32\x3B\x12\x3B\x12\x3B\x12\x3B\x12\x3B\x32\x3B\x12\x33\x12\x3B\xF2\x3A\x33\x3B\x33\x3B\x33\x3B\x53\x33\x53\x33\x53\x33\x32\x33\x12\x33\x33\x3B\x32\x33\x11\x33\xF0\x3A\xCF\x3A\x74\x7C\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\x9C\xBE\xD3\x53\x11\x3B\xF2\x32\xF1\x42\x1D\xD7\xFF\xF7\xFF\xEF\x1E\xC7\xF3\x5B\x11\x3B\x52\x3B\x11\x3B\x32\x3B\x31\x43\x31\x43\x31\x3B\x12\x33\x12\x33\x31\x3B\xDA\xA5\xBF\xEF\xFF\xFF\xDF\xFF\x7C\xB6\x11\x43\x11\x3B\xF1\x32\xF3\x5B\x3E\xDF\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x3B\xAE\x10\x3B\xD0\x32\x10\x3B\x10\x3B\xF0\x32\x10\x3B\xD0\x32\xD0\x32\xF0\x32\xF0\x3A\xEF\x32\xF0\x32\xF1\x32\xF1\x3A\xF0\x32\xF0\x3A\xEF\x3A\xF0\x3A\x10\x3B\xF0\x32\xF0\x3A\xF1\x3A\xF1\x32\xF0\x32\xF0\x32\x11\x3B\xF1\x3A\xF1\x3A\x12\x33\x32\x33\xD0\x2A\x38\x85\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x9A\x95\x12\x3B\xF2\x32\xD1\x32\xD3\x5B\x1D\xD7\xBF\xEF\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xEF\xBF\xEF\xBF\xF7\xBC\xCE\x8F\x32\x12\x33\x12\x3B\x52\x4B\x3B\xB6\x9F\xEF\xBF\xEF\xBF\xEF\xBF\xEF\xBF\xEF\xBF\xEF\xBF\xEF\x5E\xE7\x38\x8D\x52\x4B\xF1\x32\x32\x3B\x11\x33\x72\x4B\x7C\xC6\xDF\xFF\xFF\xFF\x7E\xEF\x34\x74\xAF\x32\xF0\x32\x10\x33\x10\x3B\xEF\x3A\xF0\x42\xF0\x42\x0F\x3B\x10\x3B\x10\x3B\xF0\x3A\xF0\x3A\xF0\x3A\xF0\x3A\xF0\x3A\xF1\x3A\xF0\x3A\xF1\x42\xF1\x3A\x12\x3B\x13\x3B\x32\x3B\x32\x3B\x52\x3B\x52\x3B\x11\x33\x12\x3B\xF1\x3A\x11\x3B\x10\x3B\x0F\x3B\xAD\x3A\x32\x74\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBC\xC6\xD3\x53\x11\x3B\xF2\x32\xF0\x42\x1D\xD7\xFF\xFF\xFF\xF7\xFD\xCE\xD2\x5B\xF0\x32\xF1\x32\x11\x3B\xD7\x7C\x59\x95\xF7\x84\x93\x4B\x12\x3B\x12\x33\x11\x3B\xB9\x9D\xBF\xEF\xFF\xFF\xBF\xEF\x99\x9D\xF0\x3A\x32\x3B\xF1\x32\x72\x4B\x9D\xBE\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFD\xCE\xD6\x84\x95\x7C\xB5\x7C\xD6\x84\xD6\x7C\xD5\x7C\xD6\x7C\xB6\x7C\xD5\x84\xD6\x84\xD5\x84\xD6\x7C\xD6\x84\xD6\x7C\xD6\x84\xD6\x84\xD5\x84\xD5\x84\xB5\x7C\xD6\x84\xB6\x84\xB6\x84\xD7\x84\xD6\x7C\xB5\x7C\xD6\x7C\x95\x74\x52\x43\x32\x3B\x32\x33\xF1\x32\x59\x8D\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x9A\x95\x11\x3B\xF2\x3A\xF2\x3A\x93\x4B\x59\x8D\x9A\x9D\x79\x9D\x79\xA5\x79\x9D\x7A\x95\x7A\x95\x9B\x9D\xF9\x84\xF1\x3A\x12\x3B\x12\x43\x52\x43\xD7\x7C\x79\x95\x79\x8D\x7A\x8D\x5A\x8D\x5A\x8D\x79\x8D\x99\x95\x79\x95\xD4\x5B\x32\x3B\x12\x33\x32\x33\x12\x33\x92\x4B\xBC\xC6\xFF\xFF\xFF\xFF\x9E\xF7\x57\x9D\x74\x7C\x95\x7C\x95\x7C\x95\x7C\x94\x7C\x75\x7C\x75\x7C'
            b'\x94\x7C\x94\x7C\x95\x7C\x95\x7C\x95\x7C\x74\x7C\x95\x7C\x95\x7C\x75\x7C\x95\x7C\xB6\x7C\x55\x6C\x32\x43\x12\x3B\x32\x3B\x32\x3B\x11\x33\x31\x3B\x55\x64\xB6\x7C\x95\x7C\x95\x7C\x94\x7C\x94\x7C\x73\x7C\x76\xA5\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBD\xC6\xD3\x5B\x11\x3B\xF1\x32\x10\x43\x1D\xD7\xFF\xFF\xFF\xF7\x1E\xCF\xF3\x5B\x11\x3B\xF1\x32\x51\x43\xBC\xC6\x9F\xEF\xFD\xD6\x35\x6C\xF1\x32\x12\x33\x11\x3B\xD9\xA5\xBF\xEF\xFF\xFF\x7E\xE7\x75\x74\xF1\x32\x32\x33\x32\x3B\xF0\x32\x79\x95\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x7E\xE7\x3D\xE7\x3D\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xE7\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xE7\x5E\xE7\x5E\xE7\x3E\xDF\x5E\xDF\x5E\xE7\x3E\xE7\x5E\xDF\x5E\xDF\x5E\xDF\x5E\xDF\x9C\xC6\x72\x4B\x11\x33\x32\x33\xF0\x32\x38\x85\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x99\x95\x11\x3B\x12\x3B\x32\x43\x32\x3B\xD0\x32\xD0\x32\xB0\x3A\xB0\x3A\xB0\x3A\xD1\x32\xD1\x2A\xD2\x32\xF1\x3A\x12\x3B\x12\x3B\x12\x3B\x12\x3B\xF1\x32\xD1\x32\xF1\x32\xD1\x32\xD1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\x32\x3B\x33\x3B\x32\x3B\x11\x33\xD3\x5B\x1D\xD7\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xF7\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xE7\x7E\xE7\x7E\xE7\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xE7\x7E\xE7\xBC\xC6\x93\x4B\x12\x33\x32\x3B\x52\x3B\x11\x33\x30\x3B\x7B\xB6\x7E\xE7\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x7E\xEF\x9E\xF7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBD\xC6\xD3\x5B\x11\x3B\xF1\x32\x10\x43\x1D\xD7\xFF\xFF\xFF\xF7\xFD\xCE\xF3\x5B\xF1\x32\xF1\x32\x31\x43\xDD\xC6\xFF\xFF\x5E\xE7\x35\x6C\xF2\x32\x12\x33\x11\x33\xB9\x9D\xBF\xF7\xFF\xFF\x3E\xDF\xF4\x5B\xF1\x32\x32\x33\x53\x3B\xF0\x32\x95\x7C\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xFD\xD6\xBC\xC6\xDD\xCE\xFE\xC6\xFF\xC6\x1F\xC7\x1F\xC7\xFE\xCE\xFE\xCE\xFE\xCE\xFE\xCE\xFF\xC6\x1F\xC7\xFF\xCE\xFE\xCE\xFE\xCE\xFE\xCE\xFF\xC6\xFF\xC6\x1F\xCF\x1F\xC7\x1F\xC7\x1F\xC7\x1F\xBF\x3F\xC7\x5E\xAE\x73\x4B\x12\x33\x32\x33\xF0\x32\x18\x85\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x9A\x95\xF0\x32\xF1\x3A\x12\x3B\x11\x33\xF1\x32\xD1\x32\xB1\x32\xB0\x32\xD1\x32\xD1\x2A\x12\x2B\xF2\x2A\x11\x33\x32\x3B\x32\x3B\x32\x3B\x32\x3B\xF1\x32\xD1\x2A\xF1\x2A\xF2\x2A\xD1\x2A\xF2\x32\xF2\x32\xF1\x32\xD1\x32\xF1\x32\x12\x3B\x12\x3B\xF1\x32\x8F\x2A\x14\x6C\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xCF\xB3\x4B\xF2\x32\x33\x33\x53\x3B\x11\x33\x10\x3B\xBD\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBD\xC6\xD3\x5B\x11\x3B\xF1\x3A\x10\x43\x1D\xD7\xFF\xFF\xFF\xF7\xFD\xCE\xD3\x5B\xF1\x32\x11\x33\x31\x43\xBD\xBE\xFF\xFF\x5E\xE7\x15\x6C\xF1\x32\x12\x33\x11\x3B\xB9\x9D\xBF\xF7\xFF\xFF\xFD\xCE\xB3\x53\xF2\x2A\x33\x33\x53\x3B\xF1\x32\xD3\x63\x5D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xEF\xD9\xAD\x37\x8D\x79\x95\xBA\x95\xBB\x95\xBB\x95\xBB\x95\xBA\x95\xBA\x9D\xBA\x9D\xBA\x9D\xBA\x95\xBB\x95\xBB\x95\xBA\x95\xBA\x9D\xBA\x9D\xBB\x95\xBB\x95\xBB\x95\xBB\x95\xDB\x95\xDB\x8D\xDB\x8D\xFC\x95\x5B\x85\x54\x43\x12\x33\x32\x33\xF0\x32\x38\x85\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x79\x95\xD0\x32\xD0\x32\xF1\x3A\xF1\x32\x11\x33\x12\x33\xF1\x32\xF1\x3A\xF1\x3A\x12\x2B\x32\x2B\x12\x33\x32\x33\x32\x3B\x32\x3B\x33\x3B\x33\x33\x12\x33\x12\x33\x11\x33\x12\x33\xF2\x32\x12\x3B\x12\x33\x11\x33\xF1\x32\xF1\x3A\xF1\x3A\xD1\x3A\xD0\x32\xCF\x3A\xF6\x8C\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\x1D\xCF\x93\x4B\x12\x33\x33\x33\x53\x3B\xF1\x32\x10\x3B\x9D\xBE\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBD\xC6\xD3\x5B\xF1\x32\x12\x3B\x10\x43\x1D\xD7\xFF\xF7\xFF\xF7\xFD\xCE\xD3\x5B\x11\x33\x12\x33\x31\x43\xBD\xC6\xFF\xFF\x5E\xE7\x15\x64\xD1\x32\x12\x33\x11\x3B\xDA\xA5\xBF\xF7\xDF\xF7\x5B\xB6\x72\x43\x12\x2B\x33\x33\x32\x3B\xF1\x32\x10\x43\x1D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xDF\xD1\x63\xAE\x3A\x51\x43\x72\x4B\x72\x4B\x93\x43\x93\x43\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x4B\x72\x43\x92\x4B\x92\x43\xB3\x4B\x92\x43\x93\x4B\x74\x43\x33\x3B\x12\x33\x32\x33\xF1\x32\x38\x8D\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x78\x95\x51\x4B\x51\x4B\x72\x53\x92\x4B\x92\x4B\x93\x4B\x93\x4B\x72\x4B\x72\x4B\x93\x4B\x93\x43\xB3\x4B\x93\x43\x31\x33\x32\x3B\x33\x33\x53\x3B\x73\x43\x93\x4B\x92\x4B\x92\x4B\x72\x4B\x72\x4B\x92\x4B\x92\x4B\x72\x4B\x92\x53\x72\x53\x51\x4B\x51\x53\x74\x7C\xFC\xCE\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFD\xC6\x72\x4B\x12\x33\x33\x33\x33\x33\xD1\x32\x11\x3B\x9D\xBE\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBD\xC6\xF3\x5B\x11\x3B\xF1\x32\x10\x43\x1D\xD7\xFF\xFF\xFF\xF7\xFE\xCE\xD3\x5B\xF1\x32\xF1\x2A\x31\x3B\xDD\xBE\xFF\xFF\x5E\xDF\x35\x64\xF2\x32\x12\x33\x11\x3B\xB9\xA5\xBF\xF7\xBF\xEF\x78\x9D\xF1\x32\x33\x33\x74\x3B\x33\x3B\x11\x33\xAF\x32\xDC\xCE\xFF\xFF\xFF\xFF\xFF\xFF\xDE\xFF\xFF\xFF\xFF\xFF\x1D\xDF\x50\x53\x0C\x1A\xD0\x2A\xD0\x32\xD0\x2A\xF1\x2A\xF1\x2A\xD1\x2A\xD1\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x32\xD1\x2A\xD1\x32\xD1\x32\xD1\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x32\xD0\x2A\xD0\x2A\xD0\x32\xD0\x32\xD2\x32\x33\x3B\x33\x3B\x32\x33\xF1\x32\x38\x8D\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5E\xE7\x9C\xC6\xBD\xCE\xDD\xCE\xDC\xCE\xDC\xC6\xDC\xC6\xDD\xC6\xDD\xC6\xFD\xCE\xFD\xC6\xDD\xC6\xFD\xCE\x1B\xAE\xF1\x3A\x13\x33\x13\x33\x94\x43\x9A\x95\xDD\xC6\xFD\xCE\xDC\xCE\xBD\xCE\xDD\xCE\xDD\xC6\xDD\xC6\xBD\xC6\xBD\xCE\xBD\xC6\xBD\xC6\xFD\xD6\x7E\xE7\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xF7\x1D\xCF\x72\x4B\x12\x33\x13\x3B\x33\x3B\xD1\x32\x11\x3B\x7C\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\x9C\xC6\xD3\x5B\x11\x33\xF1\x32\x10\x43\x1D\xD7\xFF\xF7\xFF\xF7\x1E\xCF\xF4\x5B\x12\x33\xF2\x32\x31\x3B\xBD\xBE\xFF\xF7\x5E\xDF\x35\x64\xF2\x32\x12\x33\x11\x3B\xDA\xA5\xBF\xEF\x7E\xEF\xB5\x7C\xF1\x32\x33\x33\x33\x33\x32\x33\x12\x33\xD0\x32\xB9\x9D\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x1D\xDF\x70\x63\x2C\x32\xCF\x3A\x10\x43\x11\x43\x31\x3B\x31\x3B\x31\x3B\x11\x43\x10\x43\x10\x43\x10\x43\x11\x43\x11\x43\x11\x43\x11\x43\x11\x43\x11\x43\x10\x43\x10\x43\xF0\x42\x10\x43\x11\x43\x30\x4B\x31\x4B\x32\x43\x12\x3B\x32\x3B\x12\x33\xF0\x32\x18\x8D\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xD6\xB0\x32\x13\x33\x13\x33\x73\x43\x5C\xB6\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xFF\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xEF\xDF\xEF\xBC\xC6\x72\x4B\x12\x33\x13\x3B\x33\x3B\xF1\x32\xF0\x42\x7C\xB6\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBD\xC6\xD3\x53\xF1\x32\x12\x3B\xF0\x3A\x1D\xD7\xFF\xF7\xDF\xEF\xDD\xC6\xF4\x53\x12\x33\x12\x33\x52\x3B\xDD\xBE\xFF\xF7\x5E\xDF\x35\x64\xD1\x32\x12\x33\x32\x3B\xDB\x9D\x9F\xE7\xDC\xCE'
            b'\xB2\x5B\x11\x3B\x12\x33\x32\x3B\x32\x3B\x32\x33\xF0\x32\x34\x6C\x1D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x1D\xDF\xDC\xD6\xFD\xDE\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\x1D\xDF\xFD\xDE\xFD\xDE\x1D\xDF\x1D\xDF\x1D\xDF\x5B\xBE\x72\x4B\x11\x33\x31\x33\xF0\x32\x17\x85\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xCE\xAF\x32\x12\x2B\x33\x2B\x93\x43\xFB\xA5\x7E\xE7\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xEF\xBF\xEF\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xEF\xBF\xEF\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x7B\xBE\x1A\xAE\x3B\xAE\x3C\xB6\x3C\xB6\x3C\xB6\x3C\xAE\x3C\xAE\x3C\xAE\x3C\xAE\x3C\xAE\x3C\xB6\x3D\xB6\x3C\xAE\x5D\xAE\x3C\xAE\x96\x74\x12\x3B\x13\x33\x33\x3B\x32\x3B\xF0\x32\x10\x3B\x7C\xB6\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xDD\xC6\xD3\x5B\xF1\x32\x12\x33\x11\x43\xFD\xD6\x3E\xDF\x7C\xB6\xF7\x84\x52\x43\x12\x33\xF1\x32\x31\x3B\xBD\xBE\xFF\xF7\x5E\xDF\x14\x64\xD1\x32\x12\x3B\x12\x3B\x55\x64\xFB\x9D\xB6\x74\x11\x3B\x11\x3B\x52\x43\x97\x6C\xD4\x53\x32\x33\x11\x33\x51\x43\x57\x95\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xF7\x7F\xDF\xDD\xCE\xDD\xCE\xDD\xCE\xFD\xCE\xFD\xCE\xFD\xCE\xFE\xCE\xFE\xCE\xFE\xCE\xFD\xCE\xFD\xCE\xFD\xCE\xFE\xCE\xFE\xCE\xFE\xCE\xFE\xCE\xFD\xCE\xFD\xCE\xFD\xCE\xFD\xCE\xFD\xCE\xFD\xCE\xDE\xCE\xFE\xCE\xDD\xCE\x1D\xD7\x1B\xAE\x71\x43\x11\x33\x32\x3B\xF0\x32\x38\x8D\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xCE\xCF\x32\x32\x33\x33\x33\x32\x3B\x13\x5C\x37\x8D\xB9\x9D\x98\x9D\x79\x9D\x99\x9D\x99\x9D\x78\x95\x78\x9D\x78\xA5\x99\x9D\x99\x9D\x99\x9D\x78\x9D\xB8\xA5\x3E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xDF\xB1\x63\xCF\x3A\x10\x3B\x11\x3B\x11\x3B\x11\x3B\x11\x3B\x11\x3B\x11\x3B\x11\x3B\x11\x3B\x11\x43\xF1\x3A\x11\x3B\x11\x3B\x11\x3B\xF1\x3A\x13\x33\x33\x33\x33\x3B\x32\x3B\xF0\x32\xEF\x3A\xBC\xBE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBC\xC6\xD3\x5B\x11\x3B\x12\x33\x12\x43\x9C\xCE\xB9\xA5\x54\x74\xF0\x3A\xF1\x32\x52\x43\xF1\x3A\x10\x3B\xDD\xBE\xFF\xF7\x5E\xE7\x13\x6C\xD0\x3A\x12\x3B\x32\x3B\x32\x33\x52\x3B\x11\x33\x11\x33\xF1\x32\xB3\x53\x3B\xA6\xD7\x7C\x11\x3B\x12\x33\xF1\x32\x51\x4B\x3A\xB6\xDF\xF7\xFF\xFF\xBF\xF7\xFA\xAD\x91\x5B\x92\x5B\xD2\x5B\xB2\x5B\xB2\x5B\xB3\x53\xB3\x53\xB3\x53\xB3\x5B\xB3\x5B\xD3\x53\xD3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB3\x53\xB2\x53\xB3\x53\xB3\x53\xD3\x53\xB2\x53\xD3\x53\xD3\x53\xB3\x53\xB3\x53\x93\x4B\x12\x33\x32\x33\x12\x33\xD0\x32\x79\x95\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFC\xD6\x8E\x32\xF1\x32\x32\x3B\x52\x3B\x11\x33\x11\x33\x31\x3B\x11\x3B\xF1\x3A\xF0\x3A\x10\x3B\x10\x3B\x10\x3B\xF0\x42\x10\x43\x31\x43\x11\x43\xD0\x32\x71\x4B\x7C\xBE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xE7\xB1\x63\xCF\x3A\x11\x33\x12\x33\x12\x33\x12\x33\x12\x3B\x11\x3B\x11\x3B\x11\x33\x31\x33\x11\x33\xF1\x32\x11\x3B\x11\x3B\x11\x3B\x12\x3B\x34\x3B\x33\x33\x12\x33\xF0\x32\xCF\x32\xB1\x53\x3D\xD7\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xBC\xC6\xF3\x5B\x31\x3B\x12\x3B\x11\x43\x9B\xCE\x78\xA5\x13\x6C\xD0\x3A\x32\x43\x32\x43\xCF\x32\x2F\x43\xFD\xC6\xFF\xFF\x7E\xEF\x74\x7C\x8E\x3A\x31\x3B\x53\x3B\x32\x33\x32\x33\x32\x3B\x12\x33\xD0\x32\xB3\x53\xBC\xC6\x38\x8D\x11\x3B\x12\x3B\x11\x33\x72\x4B\x3B\xB6\xDF\xF7\xFF\xFF\xBF\xF7\x98\x9D\xCF\x3A\xAF\x32\xEF\x3A\xD0\x32\xD0\x32\xD0\x32\xD1\x32\xD1\x32\xD1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF0\x32\xF0\x3A\xF0\x3A'
            b'\xF0\x3A\xF0\x32\xF0\x32\x10\x33\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF2\x32\x12\x3B\x32\x3B\xF1\x32\x8F\x32\xBA\x9D\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x1D\xDF\xAE\x3A\xB0\x2A\x11\x3B\x52\x3B\x52\x3B\x32\x33\x32\x33\x32\x33\x11\x3B\x31\x3B\x31\x3B\x31\x3B\x11\x3B\x11\x3B\x11\x3B\xF1\x3A\xF1\x3A\x11\x3B\x72\x4B\x7C\xBE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5D\xE7\xF2\x63\xF0\x3A\x32\x3B\x53\x3B\x33\x3B\x32\x3B\x32\x3B\x32\x43\x32\x3B\x52\x3B\x31\x33\x52\x3B\x32\x3B\x32\x3B\x32\x3B\x32\x43\x32\x43\x33\x3B\x13\x33\xF1\x32\x4E\x22\xAE\x32\xB5\x7C\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\x9C\xC6\xB2\x53\xD0\x32\xB1\x2A\xB0\x3A\x7B\xCE\x57\x9D\xF3\x63\xAF\x32\xF1\x3A\xCF\x32\xAE\x32\xB1\x5B\x3D\xD7\xFF\xFF\x9E\xEF\xF6\x94\xAE\x3A\xD0\x3A\xF1\x32\xF1\x2A\xF1\x2A\x11\x33\xD0\x32\xD0\x3A\x34\x6C\x1D\xD7\xB9\xA5\x31\x4B\xD0\x32\xD0\x2A\x31\x43\x3B\xB6\xDF\xF7\xFF\xFF\xBF\xF7\x98\x9D\xAE\x3A\x8E\x32\xAF\x32\xAF\x32\xB0\x32\xB0\x32\xB0\x32\xB0\x32\xB0\x32\xB0\x32\xB0\x32\xD0\x32\xB0\x2A\xB0\x32\xB0\x2A\xD0\x32\xAF\x32\xAF\x32\xB0\x32\xB0\x2A\xAF\x2A\xF0\x2A\xD0\x2A\xD0\x2A\xD1\x32\xB1\x32\xB1\x32\xF2\x32\xF1\x32\xD0\x32\xF0\x42\x1B\xAE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5D\xE7\xB2\x63\xCF\x32\xD0\x32\xF0\x32\x11\x33\xF1\x32\xF1\x2A\x11\x33\xF1\x32\x11\x3B\x10\x33\x10\x33\xF0\x32\xF1\x3A\xD0\x32\xB0\x32\xD0\x32\xD1\x32\x51\x4B\x7C\xBE\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xE7\x91\x5B\xAF\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x32\xF1\x3A\xF0\x32\xF0\x32\xF0\x2A\x11\x33\xF0\x32\xF0\x32\xF0\x32\xF1\x3A\xF1\x3A\xF2\x32\xF2\x32\xF1\x3A\xAF\x32\x51\x4B\x98\xA5\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x7B\xBE\x71\x53\xAF\x2A\xB0\x2A\xAF\x42\x7B\xCE\x77\xA5\xF2\x6B\x8E\x3A\xAF\x32\xCF\x3A\x70\x53\x57\x9D\x9E\xEF\xFF\xFF\xDF\xFF\x5A\xC6\x91\x63\xCF\x3A\xD0\x32\xD0\x2A\xD0\x32\xF0\x3A\x10\x4B\xD3\x63\xDA\xAD\x9F\xEF\x1D\xD7\x74\x74\xCF\x3A\x8F\x32\x10\x43\x1A\xB6\xDF\xF7\xFF\xFF\xBF\xF7\xB9\xAD\x0F\x4B\xEF\x42\x30\x4B\x31\x43\x31\x43\x31\x43\x51\x43\x31\x43\x31\x4B\x31\x43\x31\x43\x31\x43\x31\x43\x51\x43\x51\x43\x51\x43\x30\x4B\x10\x4B\x31\x4B\x31\x43\x30\x3B\x71\x43\x51\x43\x31\x43\x52\x43\x32\x43\x12\x43\x32\x43\x52\x43\x91\x53\xB5\x84\x1E\xD7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x1A\xB6\x13\x6C\x30\x43\xCF\x32\xCF\x32\xD0\x32\xD0\x32\xB0\x32\xCF\x32\xCF\x3A\xCF\x32\xCF\x32\xAF\x32\xAF\x32\xB0\x32\xB0\x3A\xB0\x3A\x8F\x32\x30\x4B\x7B\xBE\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xE7\xB1\x63\xCF\x3A\x31\x3B\x10\x3B\x11\x43\x10\x43\x10\x43\x10\x43\x10\x3B\x10\x3B\x10\x3B\x10\x3B\x10\x3B\x11\x3B\x10\x3B\xF0\x42\xF0\x42\x11\x3B\x52\x43\xD3\x5B\x95\x7C\x98\xA5\x3D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x5E\xE7\xFA\xAD\xBA\x9D\xBB\x9D\xB9\xA5\x7E\xEF\x5E\xE7\xBD\xCE\x3B\xB6\x3C\xB6\x5B\xB6\xFD\xCE\x9E\xEF\xFF\xFF\xDF\xFF\xFF\xFF\xBF\xF7\xFD\xD6\x7C\xBE\x3B\xAE\x3C\xAE\x7D\xAE\x5C\xBE\x9C\xC6\x1D\xD7\xBF\xEF\xDF\xF7\xFF\xF7\x3E\xDF\x5B\xB6\x3C\xB6\x5C\xBE\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\x5E\xE7\xBC\xC6\xBD\xC6\xBD\xC6\xBD\xBE\xBD\xBE\xDD\xC6\xDD\xC6\xBD\xC6\xBD\xC6\xBD\xC6\xBD\xC6\xBD\xC6\xBD\xC6\xDD\xC6\xBD\xBE\xBD\xBE\xDD\xC6\xBD\xC6\xBD\xC6\xBD\xC6\xDD\xC6\xDD\xBE\xDD\xC6\xDD\xC6\xBD\xC6\xBD\xC6\xDD\xC6\x9D\xC6\xBD\xC6\x1D\xD7\x7E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xDF\xF7\x3E\xDF\xBC\xC6\x7B\xB6\x5C\xB6\x3C\xB6\x3C\xB6\x3C\xB6\x3C\xB6\x3B\xAE\x3B\xB6\x3B\xB6\x3C\xB6\x3C\xB6\x5C\xB6\x5D\xB6\x3C\xB6\x3C\xB6\x5B\xBE\x7F\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xBC\xCE\x7C\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x9D\xBE\x7C\xBE\x9D\xBE\x9D\xBE\x7D\xBE\x9D\xBE\xBD\xBE\xFD\xC6\x1D\xD7\x7E\xEF\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xBF\xF7\xBF\xF7\xBF\xF7\xBF\xF7\xFF\xFF\xFF\xFF\xDF\xFF\xDF\xFF\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xDF\xF7\xDF\xF7\xFF\xF7\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xDF\xF7\xDF\xF7\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xEF\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xF7\xFF\xFF\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xF7\xFF\xFF\xFF\xF7\xFF\xF7\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x9F\xF7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xBF\xF7\xDF\xFF\xFF\xFF\xFF\xFF\x9E\xE7\xFF\xF7\xFF\xFF\xFF\xFF\xBF\xF7\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xDF\xF7\xFF\xF7\x9E\xEF\x7E\xEF\x5E\xEF\x7E\xEF\xDF\xFF\xFF\xFF\x9F\xEF\x3D\xE7\x3D\xE7\x7E\xEF\xFF\xFF\xFF\xFF\xDF\xF7\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\x9E\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\x9E\xEF\x7E\xE7\x7E\xE7\xBF\xF7\xDF\xFF\xFF\xFF\xDF\xFF\x9E\xEF\x7E\xE7\x5E\xE7\x9E\xEF\xBF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x9E\xEF\x7E\xEF\x7E\xE7\x9E\xEF\xFF\xFF\xDF\xF7\x9F\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xBF\xF7\x7E\xEF\x7E\xEF\x5E\xEF\xDF\xF7\xFF\xFF\xDF\xF7\xDF\xF7\x7E\xEF\x3D\xE7\x5E\xE7\xBF\xEF\x9F\xEF\x5E\xE7\x9E\xE7\x9F\xE7\x7E\xE7\x7E\xEF\xDF\xF7\xFF\xFF\xDF\xF7\x7E\xEF\x7E\xE7\x9E\xEF\xDF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x3D\xE7\x5E\xE7\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xBE\xF7\xBF\xF7\xFF\xF7\xFF\xFF\xFF\xFF\xDF\xF7\x9F\xF7\xBF\xF7\x7E\xEF\x7E\xEF\x9E\xF7\xDF\xFF\xFF\xFF\xDF\xFF\x9F\xF7\x7E\xEF\x3D\xDF\x3D\xE7\xBF\xF7\xFF\xFF\xDF\xFF\x7E\xEF\x3D\xE7\x3D\xE7\x9E\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xEF\x3A\xBE\xFD\xD6\xDF\xFF\xFF\xFF\x5E\xDF\xF9\xAD\x9E\xEF\xFF\xFF\xFF\xFF\xBF\xF7\x9B\xCE\x7B\xCE\xBF\xF7\xFF\xF7\x7E\xE7\xB9\xAD\x3D\xDF\xFF\xFF\xBF\xFF\xBC\xCE\x7B\xBE\xBF\xF7\xFF\xFF\xFF\xFF\xBF\xF7\x7B\xC6\xFD\xCE\x3E\xD7\xF9\xAD\xB8\xA5\x78\xA5\xD9\xB5\x9F\xEF\x7E\xEF\x1A\xB6\x37\x9D\x37\x9D\xD9\xB5\x9E\xEF\x7F\xE7\xDD\xD6\x3A\xBE\x9F\xEF\xFF\xFF\xFF\xFF\x1D\xE7\x19\xBE\x9E\xF7\xFF\xFF\xFF\xFF\x9E\xEF\x5A\xBE\xDC\xD6\xDF\xF7\xFF\xFF\xFF\xFF\x1E\xDF\xB9\xAD\xB9\xA5\xDA\xA5\x7B\xC6\x9F\xF7\xDF\xFF\x3D\xDF\xD9\xAD\xB9\x9D\x98\x9D\x3A\xB6\x5F\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\x5E\xDF\xD9\xA5\x98\xA5\xB9\xA5\x19\xB6\x7E\xE7\xBD\xCE\x1A\xBE\xBF\xF7\xFF\xFF\xFF\xFF\xBF\xEF\x5B\xBE\xB9\xA5\x98\xA5\x97\xA5\xFD\xD6\xFF\xF7\xDF\xF7\xDD\xCE\xD9\xAD\x37\x9D\x57\x9D\xBD\xC6\xFE\xCE\xB9\xA5\xD9\xA5\xFA\xA5\x98\xA5\xB8\xAD\x5E\xE7\xDF\xF7\xFD\xD6\x97\xA5\xD8\xA5\xF9\xA5\xBC\xCE\xBF\xF7\xFF\xFF\xFF\xFF\x1D\xDF\x98\xA5\x17\x95\x58\x95\x3A\xB6\x7E\xEF\xFF\xFF\xBE\xF7\x39\xC6\x3A\xBE\xBF\xF7\xFF\xFF\xDF\xFF\xFC\xDE\x5A\xC6\x5E\xEF\x1A\xBE\x98\xAD\x1A\xBE\xBF\xF7\xDF\xF7\xDC\xD6\xF9\xB5\x98\xA5\x37\x95\x57\x9D\x5B\xC6\xBF\xF7\x3D\xDF\xD9\xA5\x57\x9D\x36\x9D\x5A\xC6\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xDF\x73\x7C\x36\x9D\x9E\xF7\xBF\xF7\x78\x9D\xEE\x52\xDC\xCE\xFF\xF7\xFF\xF7\x3D\xDF\x93\x84\x36\x9D\x9E\xEF\xDF\xF7\xFA\xB5\xCE\x4A\x37\x95\x9F\xF7\xBF\xF7\x98\xA5\x33\x74\x1D\xD7\xFF\xFF\xFF\xFF\x1C\xDF\x53\x7C\x1A\xB6\xFA\xA5\x13\x6C\xD5\x8C\xB5\x8C\x57\xA5\x3D\xE7\xB9\xAD\x33\x74\xF6\x8C\xF6\x8C\xD5\x94\x3D\xE7\xDD\xCE\x78\x9D\x12\x74\x1D\xDF\xFF\xFF\xDF\xFF\xF9\xBD\x8F\x63\x1C\xD7\xFF\xFF\xFF\xFF\xBB\xC6\x90\x5B\x94\x84\x5E\xDF\xFF\xFF\xBF\xF7\xB9\xAD\x50\x53\xD6\x84\x95\x7C\xF2\x6B\x3A\xBE\x7E\xEF\xB8\xA5\x70\x53\xF6\x84\x16\x85\x98\x9D\x5E\xE7\xFF\xFF\xDF\xFF\xFF\xFF\xBF\xF7\x3A\xB6\x90\x5B\x95\x7C\xF6\x8C\x77\xA5\x3D\xDF\x58\x9D\xF2\x6B\x3D\xE7\xFF\xFF\xFF\xFF\x1E\xDF\x74\x74\x54\x74\xF6\x8C\xD4\x8C\xBB\xCE\xBF\xEF\x7C\xBE\x33\x74\x94\x84\x17\x95\xD5\x8C\x98\xA5\x9C\xC6\x17\x95\x55\x74\x50\x53\x95\x7C\x57\x9D\x3D\xE7\x3D\xE7\xF5\x8C\xB0\x63\xF5\x84\x73\x74\x53\x7C\xBC\xCE\xDF\xFF\xFC\xD6\x52\x7C\x33\x74\x38\x95\xF7\x8C\x33\x74\x77\x9D\x7E\xEF\x3D\xE7\xB0\x6B\x4F\x5B\x9B\xC6\xFF\xF7\xBF\xF7\xD8\xAD\x93\x84\xFC\xDE\x78\xA5\xCE\x52\x37\x9D\x7E\xEF\x9B\xC6\x53\x7C\x12\x74\x95\x84\x57\x95\x16\x95\x36\x9D\xFC\xD6\x16\x8D\x54\x74\x37\x95\xD4\x8C\x56\xA5\x9E\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\xF6\x8C\x94\x84\x5E\xE7\x7E\xEF\x74\x7C\x8D\x42\xD8\xAD\x9F\xEF\xFF\xF7\xDC\xCE\x12\x74\x19\xB6\xDF\xF7\x3E\xE7\x33\x74\x50\x5B\x12\x74\x1C\xDF\xFF\xFF\xDC\xCE\xF1\x63\x19\xB6\xDF\xF7\xDF\xF7\xF8\xB5\xF1\x6B\x9B\xCE\x99\xA5\xD5\x8C\xFC\xDE\x7E\xEF\x9E\xEF\x3D\xE7\x54\x7C\xD6\x8C\x1D\xDF\x7E\xEF\x3D\xE7\x9F\xEF\xDD\xCE\x58\x95\xF2\x6B\x3D\xDF\xFF\xFF\xDF\xFF\x19\xB6\x6F\x5B\x1C\xD7\xFF\xFF\xBF\xF7\xD9\xA5\xD1\x5B\xF2\x63\x7C\xBE\xDF\xF7\xBF\xF7\x98\xA5\xB1\x63\xBC\xD6\xFC\xD6\xB5\x84\xD5\x8C\x1D\xDF\x98\xA5\xB1\x6B\xBC\xD6\x7E\xE7\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xF7\xF9\xB5\x12\x74\xBB\xD6\x7E\xEF\x9E\xEF\x9E\xEF\x58\x95\xB2\x63\x3D\xE7\xFF\xFF\xFF\xFF\xFD\xDE\x54\x74\x1A\xAE\x5E\xE7\x7E\xEF\xBF\xF7\x1D\xE7\x54\x7C\xD5\x84\xFC\xD6\x7E\xEF\x5E\xEF\x5D\xE7\xBF\xF7\x5E\xE7\xDA\xA5\xB2\x5B\x9B\xBE\x7E\xE7\xFF\xFF\xFC\xDE\x52\x7C\xB3\x84\xFC\xDE\xBB\xC6\x33\x74\x57\xA5\x1C\xDF\xB4\x84\xD1\x63\x9B\xCE\x9E\xEF\x5E\xE7\xB9\xAD\x13\x6C\x7C\xBE\x1D\xD7\xB1\x63\x70\x5B\x74\x7C\x1C\xDF\x9F\xEF\xD9\xA5\x53\x7C\x3D\xDF\x9B\xCE\x8C\x4A\x7A\xC6\x3D\xD7\x93\x7C\xF5\x8C\x9B\xC6\x5E\xE7\x9E\xEF\x7E\xEF\x3D\xE7\xDC\xCE\xF2\x6B\xF9\xAD\x5E\xE7\x7E\xE7\x5D\xE7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x5B\xB6\x33\x74\xDD\xCE\xDC\xCE\x12\x6C\xD5\x84\xF1\x73\xBB\xD6\xBF\xEF\x1A\xAE\x32\x74\x1C\xDF\xDF\xF7\x5B\xB6\x50\x53\xB8\xAD\x12\x74\xB7\xAD\xBF\xF7\x5D\xEF\x73\x7C\xB4\x84\x7E\xE7\x7E\xE7\xB4\x84\x93\x84\xFC\xDE\x98\x9D\xB5\x84\x9B\xCE\x1C\xE7\x5D\xEF\x7E\xEF\xF5\x8C\xF1\x6B\x7A\xC6\x9E\xEF\xFF\xFF\xBF\xF7\xBC\xC6\x58\x95\xF2\x6B\x7A\xC6\x1D\xDF\x1C\xDF\xD9\xAD\x90\x5B\xFD\xCE\xFF\xF7\x1D\xDF\xB4\x7C\xFA\xA5\x17\x85\x78\x9D\x9E\xEF\xBF\xF7\x99\x9D\xF2\x63\xBB\xCE\xDC\xD6\x74\x7C\x16\x95\x3D\xE7\x98\xAD\x91\x63\x5A\xC6\x1D\xDF\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xF7\xFA\xB5\xF2\x73\x7A\xCE\x1C\xE7\x5D\xEF\x7E\xEF\x58\x8D\xF2\x63\x3D\xE7\xFF\xFF\xFF\xFF\x1D\xDF\x74\x7C\x3A\xAE\xFC\xDE\x1C\xE7\x9E\xF7\x19\xBE\xF2\x6B\xDC\xCE\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xDF\xFF\x3B\xB6\xF3\x6B\xFD\xCE\xFF\xF7\xFF\xFF\xDC\xDE\x53\x7C\xF5\x94\xFC\xD6\x9B\xC6\x12\x74\x98\xAD\x9B\xCE\xF1\x63\x3A\xB6\xDF\xF7\xFF\xFF\xFF\xFF\x3D\xE7\x95\x7C\x59\x95\x9B\xCE\x70\x5B\xB8\xAD\x53\x7C\xF5\x94\x3D\xDF\xFA\xAD\x74\x74\x5D\xDF\xDC\xDE\xAD\x52\xBB\xCE\x5B\xB6\x12\x6C\xDC\xCE\xFF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3D\xDF\x32\x74\x74\x7C\xBB\xD6\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDD\xCE\x33\x6C\x3B\xAE\xB9\xA5\x52\x7C\xF8\xBD\xEC\x5A\x39\xC6\x7E\xE7\x99\x95\x95\x7C\x5E\xE7\x9E\xEF\xF6\x8C\xF3\x63\x9B\xC6\xD5\x8C\x52\x84\x5D\xEF\xBF\xFF\xD8\xB5\xF1\x6B\x3D\xD7\x1D\xD7'
            b'\xF1\x63\x5A\xBE\x7E\xE7\xB9\x9D\x70\x53\x70\x5B\x6F\x63\xB3\x94\x7D\xEF\x1C\xD7\x52\x7C\x4F\x5B\x16\x95\x1D\xDF\xBF\xEF\xFE\xC6\x99\x95\x2F\x4B\x91\x5B\xD1\x63\xD1\x63\x70\x53\x50\x4B\x1D\xD7\xDF\xF7\x5A\xBE\x32\x74\xBC\xCE\xFB\xA5\x94\x7C\x3D\xDF\xBF\xEF\xFB\xA5\x31\x43\x34\x6C\x13\x6C\x95\x7C\xFD\xCE\xBF\xEF\xF8\xB5\xEE\x4A\x50\x5B\xB1\x63\x36\x95\x7D\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x3C\xB6\x10\x4B\x50\x53\x90\x63\xD3\x8C\x1D\xDF\x98\x9D\xF2\x63\x3D\xE7\xFF\xFF\xFF\xFF\x1D\xDF\x54\x74\x91\x53\x91\x5B\x70\x6B\xBB\xD6\x77\xA5\x53\x7C\x5D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xDF\xF7\x3B\xB6\xF2\x63\xFD\xCE\xFF\xFF\xFF\xFF\x1D\xDF\x94\x84\x51\x53\x14\x64\xF3\x63\xF6\x84\x1D\xDF\x1A\xB6\xF2\x63\x1D\xCF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\x17\x8D\x17\x85\x7B\xC6\x6F\x5B\x3A\xBE\x7B\xC6\x12\x74\x7B\xBE\x3B\xAE\x94\x7C\x5D\xDF\xDC\xDE\xAC\x52\x9B\xC6\xFA\xA5\x32\x6C\x3D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\x9B\xC6\xD1\x6B\x4F\x5B\x98\xAD\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x3E\xD7\xF6\x84\x3B\xAE\x78\x9D\x35\x9D\x7A\xCE\x6F\x63\x7A\xBE\x7E\xD7\xDA\x9D\x58\x95\x9E\xEF\x3D\xDF\x13\x6C\x75\x74\x1B\xB6\xD5\x8C\xD1\x6B\x1D\xDF\xFF\xFF\xDB\xD6\xB0\x63\xFC\xC6\xDC\xBE\xB0\x5B\xFC\xD6\xBF\xEF\xB8\x9D\x33\x64\x79\x95\x78\x9D\x7B\xC6\xDF\xF7\xDF\xF7\xDC\xD6\x37\x95\x2E\x53\xB4\x8C\x5E\xE7\xFE\xCE\x99\x95\x91\x53\x37\x8D\xFA\xA5\xFA\xA5\xB5\x7C\x70\x53\x1D\xD7\x9E\xEF\x15\x95\x12\x6C\x5B\xB6\x99\x95\xD2\x63\x5B\xBE\x9F\xEF\x1B\xA6\x31\x43\x14\x64\x71\x53\xB9\x9D\xBF\xEF\xBF\xF7\xB7\xAD\x70\x5B\x98\x9D\xB9\x9D\x7B\xBE\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x3C\xAE\xB3\x53\x59\x8D\xD9\xA5\x5A\xBE\x5D\xE7\x77\x95\xD1\x63\x3D\xE7\xFF\xFF\xFF\xFF\x1D\xDF\x74\x74\xD7\x7C\x99\x95\x57\x9D\x1D\xDF\x36\x9D\x32\x74\x5D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDE\xFF\xDF\xF7\x3B\xB6\xD2\x63\xDC\xCE\xFF\xFF\xFF\xFF\x1D\xDF\x94\x84\x51\x4B\xF4\x5B\x92\x4B\x5B\xAE\xBF\xEF\x3B\xB6\xD1\x5B\x3D\xCF\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xEF\x37\x8D\xF6\x84\x7A\xCE\x8F\x63\xF9\xB5\x3D\xE7\xB5\x84\xF6\x8C\x5B\xB6\xB5\x84\x5D\xDF\xDC\xDE\xCD\x52\x9B\xC6\xFA\xA5\x12\x6C\x3D\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xDF\xF7\x7A\xCE\x74\x84\x0E\x53\xB8\xAD\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xE7\x78\x95\x99\x9D\xF6\x84\xD8\xAD\xDB\xD6\x12\x6C\xD8\xA5\x7B\xB6\x79\x95\xFA\xAD\x9F\xEF\xDC\xCE\xB1\x63\x75\x74\x38\x8D\x74\x7C\xB0\x63\x9B\xC6\xDF\xFF\x3D\xE7\x12\x74\x7B\xB6\x3A\xAE\x12\x6C\x3D\xE7\x9F\xEF\x98\x9D\xF6\x7C\xFE\xC6\x1E\xD7\xBF\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xDC\xCE\xB0\x63\xB0\x63\xFD\xD6\x1E\xCF\xBA\x9D\xF2\x63\x7C\xBE\x7F\xDF\x7F\xDF\xD9\xA5\x91\x5B\x1D\xD7\x5D\xE7\x53\x7C\xD1\x63\x58\x95\xF6\x84\x70\x53\xB8\xAD\x7E\xE7\xDB\xA5\x92\x53\xF7\x84\x54\x6C\x98\x95\x7E\xE7\x9E\xEF\x97\xA5\xF2\x63\xFD\xCE\x3F\xD7\x7F\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x1B\xAE\x14\x64\xBD\xBE\x5F\xDF\x7E\xE7\x9E\xEF\x57\x95\xD1\x63\x3D\xE7\xFF\xFF\xFF\xFF\x1D\xDF\x75\x7C\xFB\xA5\x1F\xCF\xDD\xCE\x7E\xEF\x77\xA5\xF2\x73\x1D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDE\xFF\xDF\xF7\x3B\xB6\xD2\x63\xDC\xCE\xFF\xFF\xFF\xFF\xFC\xDE\x74\x7C\x14\x64\x18\x85\x75\x6C\x1A\xA6\x9F\xE7\x7B\xC6\xB1\x5B\x9B\xBE\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\xF6\x84\x37\x8D\x9A\xCE\x6E\x5B\xF9\xB5\x5E\xEF\x78\xA5\x54\x74\xDA\xA5\xB5\x84\x5E\xE7\xDC\xDE\xCD\x52\x9B\xCE\x1A\xAE\xF1\x63\xFC\xDE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\xF9\xB5\x0F\x53\x73\x84\x5E\xE7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xEF\x1A\xAE\x12\x64\xB1\x63\x9B\xCE\x5E\xE7\xF6\x8C\xD2\x63\xB2\x5B\x54\x74\x9C\xC6\x7E\xEF\x97\xAD\x91\x63\x54\x74\x53\x74\x53\x74\xD2\x63\x57\x95\x9F\xEF\x7E\xEF\x36\x95\xD6\x84\x74\x7C\x98\xA5\x9F\xF7\x9E\xEF\x78\x9D\x37\x8D\x3E\xD7\x9F\xE7\xBF\xEF\xFF\xFF\xBF\xF7\xBF\xF7\xBF\xEF\x19\xBE\x90\x63\x9C\xC6\x3F\xD7\xFA\xAD\x12\x74\xFC\xDE\xFF\xFF\xDF\xF7\x5B\xBE\x90\x5B\xFC\xD6\xDC\xD6\x90\x63\xF2\x6B\x54\x74\x94\x7C\x70\x5B\xB4\x84\x1D\xDF'
            b'\x99\xA5\xF2\x63\xBC\xCE\x9B\xBE\x12\x64\xFA\xAD\x5E\xE7\x96\xA5\x12\x6C\x1D\xD7\x9F\xE7\xBF\xF7\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xBF\xEF\x1A\xAE\x53\x6C\xFD\xD6\x9F\xEF\x9E\xF7\x9E\xEF\x57\x95\xD2\x63\x1D\xDF\xDF\xF7\xDF\xF7\x1D\xDF\x75\x7C\x5C\xB6\x7F\xE7\x7E\xEF\x9F\xF7\x3A\xC6\xD2\x6B\xFA\xB5\x9F\xEF\xFF\xFF\xDF\xF7\xBE\xF7\xFF\xFF\xDF\xF7\x3B\xAE\xD1\x5B\xDC\xCE\xFF\xFF\xFF\xFF\xFC\xDE\x52\x7C\x16\x8D\xFD\xD6\x3A\xAE\x32\x6C\x7B\xC6\xFD\xDE\x12\x6C\xF5\x8C\x5D\xE7\xFF\xFF\xDF\xF7\xBB\xCE\x32\x6C\xD9\xA5\xBB\xCE\x4D\x53\x19\xB6\xBF\xF7\xFD\xD6\x75\x84\x34\x74\x74\x7C\x3E\xE7\xBB\xD6\xAC\x52\x9B\xCE\x9C\xBE\xF1\x6B\xF9\xB5\x7E\xEF\xDF\xFF\xFF\xFF\xBF\xF7\xBF\xF7\xDF\xF7\x9E\xF7\xDF\xF7\x5E\xE7\x16\x9D\x2F\x5B\xBC\xCE\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9B\xC6\x70\x53\xD1\x63\x1D\xDF\xDF\xF7\x5B\xB6\x0F\x4B\x2C\x32\x33\x74\x5E\xE7\x3D\xE7\xF1\x73\xD5\x8C\xFC\xDE\x3D\xE7\x1D\xDF\x78\x95\x12\x6C\x1D\xDF\xDF\xF7\x7B\xC6\x0F\x53\x2F\x53\xBC\xCE\xFF\xFF\x9E\xF7\x57\x95\x12\x6C\xD9\x9D\x1A\xAE\x3A\xBE\x5E\xE7\xF9\xB5\xF9\xB5\xBB\xC6\x56\x9D\xF1\x6B\xDC\xD6\xFE\xCE\x78\x9D\xB0\x63\xDB\xD6\xFF\xFF\xDF\xF7\xD8\xB5\x2E\x5B\x9B\xCE\x36\x95\xD1\x6B\x9B\xCE\x5D\xE7\x3D\xE7\xF9\xAD\xB0\x6B\xBC\xD6\xD9\xAD\x90\x6B\x1D\xE7\x9E\xEF\x16\x8D\x53\x74\xDC\xD6\xB7\xA5\x6F\x5B\xD9\xA5\x1A\xAE\x5A\xBE\x5E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xEF\x1A\xAE\xB0\x5B\x98\xA5\xD9\xB5\x18\xBE\x3D\xE7\x78\x9D\x91\x5B\xFA\xAD\xF9\xB5\x7B\xC6\xDC\xCE\x54\x74\xF7\x8C\xF9\xAD\xF8\xAD\xBB\xD6\x3D\xE7\xD6\x94\xF2\x73\xB8\xAD\x9B\xC6\x18\xB6\xD7\xAD\x9E\xF7\xDF\xF7\x1A\xB6\xB1\x63\xDC\xCE\xFF\xFF\xFF\xFF\xDB\xDE\x31\x7C\xB3\x84\x7E\xE7\x5D\xDF\x93\x84\xB4\x8C\xFD\xDE\xD9\xAD\x90\x63\x77\xA5\xBC\xCE\x3A\xBE\x93\x84\xB4\x84\x3D\xD7\xFC\xD6\x0D\x53\xD8\xB5\xDF\xFF\xBF\xF7\xF9\xB5\x30\x5B\xD2\x6B\x1D\xDF\x19\xBE\x8C\x4A\xB9\xAD\x3D\xDF\x15\x95\x12\x74\x77\xA5\x5B\xBE\x9C\xC6\x19\xB6\x3A\xC6\x1D\xDF\x97\xAD\x5A\xBE\x7B\xC6\x73\x84\x12\x7C\x3D\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xE7\x56\x9D\xB8\xA5\x9F\xF7\xFF\xFF\x5E\xDF\xF5\x8C\x53\x7C\xD8\xAD\x9F\xEF\x1D\xDF\x15\x95\x9A\xCE\xDF\xFF\xFF\xFF\xFF\xF7\xFD\xCE\x36\x95\xDC\xCE\xDF\xF7\x5E\xE7\xD5\x94\x36\x9D\x7E\xEF\xFF\xFF\xDF\xF7\x5A\xC6\x94\x84\x53\x7C\x73\x7C\xF5\x94\x1D\xD7\x98\xA5\x12\x74\x12\x74\x73\x7C\xD9\xB5\x7E\xEF\x3E\xDF\x3A\xBE\x15\x95\x5D\xE7\xFF\xFF\xFF\xFF\xBB\xCE\xD4\x94\xDB\xD6\x35\x95\xD8\xAD\xBE\xF7\xFF\xFF\xFF\xFF\x5D\xE7\xF5\x94\xDC\xCE\xDC\xCE\x15\x9D\x7D\xEF\xFF\xFF\x1D\xD7\xF5\x8C\x7A\xC6\xBB\xCE\x53\x7C\x74\x7C\x74\x7C\xF5\x94\xFD\xDE\xFF\xFF\xDF\xFF\xDF\xFF\xBF\xF7\xDC\xCE\x73\x74\x73\x7C\x73\x7C\xD5\x94\x1D\xDF\x7B\xBE\x94\x7C\x94\x7C\x52\x7C\x35\x9D\x1D\xDF\x78\xA5\x75\x7C\x94\x7C\x52\x7C\xD8\xB5\x9E\xF7\x3D\xE7\x36\x9D\x33\x74\x12\x6C\x12\x6C\x56\x9D\x9E\xF7\xDF\xFF\xBC\xCE\x16\x95\x1D\xDF\xFF\xFF\xFF\xFF\x3D\xE7\x55\xA5\x97\xAD\x9E\xF7\xDF\xFF\x9B\xCE\xD5\x9C\x9C\xD6\x7E\xEF\x19\xB6\x32\x74\x12\x6C\x32\x74\x15\x95\xFC\xD6\xFF\xFF\x5D\xDF\xB4\x8C\xBC\xD6\xFF\xFF\xFF\xFF\x7E\xE7\x57\x95\x57\x9D\x1D\xDF\x36\xA5\x13\x7C\x37\x9D\x7E\xEF\x3D\xE7\x56\x9D\x53\x7C\x12\x74\x12\x6C\x12\x74\xB8\xAD\x1D\xDF\xF5\x8C\xF2\x6B\x32\x74\xD4\x8C\x9B\xCE\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xEF\xBF\xEF\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xEF\x7E\xE7\xBF\xEF\xFF\xFF\xBF\xF7\x7E\xE7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xF7\x9E\xE7\xDF\xF7\xFF\xFF\xFF\xFF\x7E\xEF\x9E\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xBF\xF7\x5E\xE7\x1D\xDF\x3D\xDF\x1D\xDF\xDF\xF7\x7E\xE7\x9C\xC6\x3A\xBE\x1D\xD7\xBF\xF7\xFF\xF7\xDF\xF7\xBF\xF7\x9E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x7E\xEF\xDF\xF7\x7E\xE7\xBF\xEF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xEF\xBF\xEF\xDF\xF7\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xFF\x7E\xE7\x9E\xEF\xDF\xF7\x5E\xE7\x3D\xDF\xFD\xD6\x3E\xE7\xBF\xF7\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xF7\x7E\xDF\x5D\xDF\x1D\xD7\x3E\xDF\xBF\xF7\xDF\xF7\x5E\xE7\x3D\xDF\x3D\xDF\x5D\xE7\xDF\xF7\x7F\xEF\x1E\xDF\x3D\xDF'
            b'\x1D\xD7\x7E\xE7\xFF\xFF\xFF\xFF\x7E\xEF\xDC\xCE\x5B\xB6\xFD\xC6\x7E\xE7\xFF\xFF\xFF\xFF\xDF\xF7\x9E\xEF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9E\xEF\xBE\xF7\xFF\xFF\xDF\xFF\xBF\xFF\x3E\xEF\x9F\xF7\xFF\xFF\xDF\xEF\x1D\xD7\x5B\xBE\x9B\xC6\x7E\xEF\xFF\xFF\xFF\xFF\xFF\xF7\x7E\xE7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\x9F\xE7\x9E\xEF\xDF\xF7\x3E\xE7\x5E\xE7\x5E\xE7\xFF\xFF\xFF\xFF\x9E\xEF\x1D\xD7\xBC\xC6\x3A\xB6\xBC\xCE\x7E\xEF\xDF\xF7\x5E\xDF\x7B\xBE\x5A\xBE\x5D\xE7\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xDF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
            b'\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF\xFF'
        )
        
        waveshare_lcd_2_8_img = lv.image_dsc_t(
            dict(
                header=dict(cf=lv.COLOR_FORMAT.RGB565, w=160, h=80),
                data_size=25600,
                data=waveshare_lcd_2_8_img_data
            )
        )
               
        img = lv.image(self.tile1)
        img.set_src(waveshare_lcd_2_8_img) 
        img.align(lv.ALIGN.CENTER, 0, 0)
        lv.screen_load(self.scr)
if __name__ == '__main__':
    i2c = I2C(id = 1, scl = Pin(I2C_SCL), sda = Pin(I2C_SDA), freq = 400_000)
    display = ST7789(LCD_WIDTH, LCD_HEIGHT)
    display.set_brightness(50)
    touch = CST328(i2c, LCD_WIDTH, LCD_HEIGHT)
    lv_port(display, touch)
    lvgl_ui()
    while True:
        pass
    